define( function () {

    var fallbackLanguage = "en-us",
        texts = {
            "player": {
                "navigation": {
                    "progress": {
                        "textShort": {
                            "both": {
                                "et-ee": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "bg-bg": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "cs-cz": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "da-dk": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "de-de": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "en-us": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "es-es": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "fi-fi": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "fr-fr": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "el-gr": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "hi-in": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "hr-hr": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "hu-hu": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "it-it": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ja-jp": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ko-kr": "#currentPage#/#maxPages#(#mainCurrentPage#/#mainMaxPages#)",
                                "lt-lt": "#currentPage# / #maxPages# (#mainCurrentPage# / #mainMaxPages#)",
                                "mk-mk": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "mn-mn": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ms-id": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "nl-nl": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "no-no": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "pl-pl": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "pt-pt": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ro-ro": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ru-ru": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sk-sk": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sl-si": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sr-rs": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sv-se": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "th-th": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "tr-tr": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "zh-tw": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "zh-cn": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "de-at": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "de-ch": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "eo-de": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "nl-be": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "en-ie": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "en-gb": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "eo-en": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "fr-be": "#currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)"
                            },
                            "main": {
                                "et-ee": "#currentPage#/#maxPages#",
                                "bg-bg": "#currentPage#/#maxPages#",
                                "cs-cz": "#currentPage#/#maxPages#",
                                "da-dk": "#currentPage#/#maxPages#",
                                "de-de": "#currentPage#/#maxPages#",
                                "en-us": "#currentPage#/#maxPages#",
                                "es-es": "#currentPage#/#maxPages#",
                                "fi-fi": "#currentPage#/#maxPages#",
                                "fr-fr": "#currentPage#/#maxPages#",
                                "el-gr": "#currentPage#/#maxPages#",
                                "hi-in": "#currentPage#/#maxPages#",
                                "hr-hr": "#currentPage#/#maxPages#",
                                "hu-hu": "#currentPage#/#maxPages#",
                                "it-it": "#currentPage#/#maxPages#",
                                "ja-jp": "#currentPage#/#maxPages#",
                                "ko-kr": "#currentPage#/#maxPages#",
                                "lt-lt": "#currentPage# / #maxPages#",
                                "mk-mk": "#currentPage#/#maxPages#",
                                "mn-mn": "#currentPage#/#maxPages#",
                                "ms-id": "#currentPage#/#maxPages#",
                                "nl-nl": "#currentPage#/#maxPages#",
                                "no-no": "#currentPage#/#maxPages#",
                                "pl-pl": "#currentPage#/#maxPages#",
                                "pt-pt": "#currentPage#/#maxPages#",
                                "ro-ro": "#currentPage#/#maxPages#",
                                "ru-ru": "#currentPage#/#maxPages#",
                                "sk-sk": "#currentPage#/#maxPages#",
                                "sl-si": "#currentPage#/#maxPages#",
                                "sr-rs": "#currentPage#/#maxPages#",
                                "sv-se": "#currentPage#/#maxPages#",
                                "th-th": "#currentPage#/#maxPages#",
                                "tr-tr": "#currentPage#/#maxPages#",
                                "zh-tw": "#currentPage#/#maxPages#",
                                "zh-cn": "#currentPage#/#maxPages#",
                                "de-at": "#currentPage#/#maxPages#",
                                "de-ch": "#currentPage#/#maxPages#",
                                "eo-de": "#currentPage#/#maxPages#",
                                "nl-be": "#currentPage#/#maxPages#",
                                "en-ie": "#currentPage#/#maxPages#",
                                "en-gb": "#currentPage#/#maxPages#",
                                "eo-en": "#currentPage#/#maxPages#",
                                "fr-be": "#currentPage#/#maxPages#"
                            },
                            "sub": {
                                "et-ee": "#currentPage#/#maxPages#",
                                "bg-bg": "#currentPage#/#maxPages#",
                                "cs-cz": "#currentPage#/#maxPages#",
                                "da-dk": "#currentPage#/#maxPages#",
                                "de-de": "#currentPage#/#maxPages#",
                                "en-us": "#currentPage#/#maxPages#",
                                "es-es": "#currentPage#/#maxPages#",
                                "fi-fi": "#currentPage#/#maxPages#",
                                "fr-fr": "#currentPage#/#maxPages#",
                                "el-gr": "#currentPage#/#maxPages#",
                                "hi-in": "#currentPage#/#maxPages#",
                                "hr-hr": "#currentPage#/#maxPages#",
                                "hu-hu": "#currentPage#/#maxPages#",
                                "it-it": "#currentPage#/#maxPages#",
                                "ja-jp": "#currentPage#/#maxPages#",
                                "ko-kr": "#currentPage#/#maxPages#",
                                "lt-lt": "#currentPage# / #maxPages#",
                                "mk-mk": "#currentPage#/#maxPages#",
                                "mn-mn": "#currentPage#/#maxPages#",
                                "ms-id": "#currentPage#/#maxPages#",
                                "nl-nl": "#currentPage#/#maxPages#",
                                "no-no": "#currentPage#/#maxPages#",
                                "pl-pl": "#currentPage#/#maxPages#",
                                "pt-pt": "#currentPage#/#maxPages#",
                                "ro-ro": "#currentPage#/#maxPages#",
                                "ru-ru": "#currentPage#/#maxPages#",
                                "sk-sk": "#currentPage#/#maxPages#",
                                "sl-si": "#currentPage#/#maxPages#",
                                "sr-rs": "#currentPage#/#maxPages#",
                                "sv-se": "#currentPage#/#maxPages#",
                                "th-th": "#currentPage#/#maxPages#",
                                "tr-tr": "#currentPage#/#maxPages#",
                                "zh-tw": "#currentPage#/#maxPages#",
                                "zh-cn": "#currentPage#/#maxPages#",
                                "de-at": "#currentPage#/#maxPages#",
                                "de-ch": "#currentPage#/#maxPages#",
                                "eo-de": "#currentPage#/#maxPages#",
                                "nl-be": "#currentPage#/#maxPages#",
                                "en-ie": "#currentPage#/#maxPages#",
                                "en-gb": "#currentPage#/#maxPages#",
                                "eo-en": "#currentPage#/#maxPages#",
                                "fr-be": "#currentPage#/#maxPages#"
                            }
                        },
                        "textLong": {
                            "both": {
                                "et-ee": "Lk #currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "bg-bg": "Страница #currentPage# от #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "cs-cz": "Strana #currentPage# z #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "da-dk": "Side #currentPage# af #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "de-de": "Seite #currentPage# von #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "en-us": "Page #currentPage# of #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "es-es": "Página #currentPage# de #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "fi-fi": "Sivu #currentPage# / #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "fr-fr": "Page #currentPage# de #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "el-gr": "Σελίδα #currentPage# από #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "hi-in": "#maxPages# (#mainCurrentPage#/#mainMaxPages#) का पृष्ठ #currentPage#",
                                "hr-hr": "Stranica #currentPage# od #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "hu-hu": "#currentPage#. oldal; összesen #maxPages# oldal (#mainCurrentPage#/#mainMaxPages#)",
                                "it-it": "Pagina #currentPage# di #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ja-jp": "ページ #currentPage# / #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ko-kr": "#currentPage#/#maxPages#페이지(#mainCurrentPage#/#mainMaxPages#)",
                                "lt-lt": "#currentPage# psl. iš #maxPages# (#mainCurrentPage# / #mainMaxPages#)",
                                "mk-mk": "Страница #currentPage# од #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "mn-mn": "Хуудас #currentPage#, нийт #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ms-id": "Halaman #currentPage# dari #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "nl-nl": "Pagina #currentPage# van #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "no-no": "Side #currentPage# av #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "pl-pl": "Strona #currentPage# z #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "pt-pt": "Página #currentPage# de #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ro-ro": "Pagina #currentPage# din #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "ru-ru": "Стр. #currentPage# из #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sk-sk": "Strana #currentPage# z #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sl-si": "Stran #currentPage# od #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sr-rs": "Strana #currentPage# od #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "sv-se": "Sida #currentPage# av #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "th-th": "หน้า#currentPage# จาก #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "tr-tr": "Sayfa #currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "zh-tw": "第 #currentPage# 頁，共 #maxPages# 頁 (#mainCurrentPage#/#mainMaxPages#)",
                                "zh-cn": "页码 #currentPage#/#maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "de-at": "Seite #currentPage# von #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "de-ch": "Seite #currentPage# von #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "eo-de": "Seite #currentPage# von #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "nl-be": "Pagina #currentPage# van #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "en-ie": "Page #currentPage# of #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "en-gb": "Page #currentPage# of #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "eo-en": "Seite #currentPage# von #maxPages# (#mainCurrentPage#/#mainMaxPages#)",
                                "fr-be": "Page #currentPage# de #maxPages# (#mainCurrentPage#/#mainMaxPages#)"
                            },
                            "main": {
                                "et-ee": "Lk #currentPage#/#maxPages#",
                                "bg-bg": "Страница #currentPage# от #maxPages#",
                                "cs-cz": "Strana #currentPage# z #maxPages#",
                                "da-dk": "Side #currentPage# af #maxPages#",
                                "de-de": "Seite #currentPage# von #maxPages#",
                                "en-us": "Page #currentPage# of #maxPages#",
                                "es-es": "Página #currentPage# de #maxPages#",
                                "fi-fi": "Sivu #currentPage# / #maxPages#",
                                "fr-fr": "Page #currentPage# de #maxPages#",
                                "el-gr": "Σελίδα #currentPage# από #maxPages#",
                                "hi-in": "#maxPages# का पृष्ठ #currentPage#",
                                "hr-hr": "Stranica #currentPage# od #maxPages#",
                                "hu-hu": "#currentPage#. oldal; összesen #maxPages# oldal",
                                "it-it": "Pagina #currentPage# di #maxPages#",
                                "ja-jp": "ページ #currentPage# / #maxPages#",
                                "ko-kr": "#currentPage#/#maxPages#페이지",
                                "lt-lt": "#currentPage# psl. iš #maxPages#",
                                "mk-mk": "Страница #currentPage# од #maxPages#",
                                "mn-mn": "Хуудас #currentPage#, нийт #maxPages#",
                                "ms-id": "Halaman #currentPage# dari #maxPages#",
                                "nl-nl": "Pagina #currentPage# van #maxPages#",
                                "no-no": "Side #currentPage# av #maxPages#",
                                "pl-pl": "Strona #currentPage# z #maxPages#",
                                "pt-pt": "Página #currentPage# de #maxPages#",
                                "ro-ro": "Pagina #currentPage# din #maxPages#",
                                "ru-ru": "Стр. #currentPage# из #maxPages#",
                                "sk-sk": "Strana #currentPage# z #maxPages#",
                                "sl-si": "Stran #currentPage# od #maxPages#",
                                "sr-rs": "Strana #currentPage# od #maxPages#",
                                "sv-se": "Sida #currentPage# av #maxPages#",
                                "th-th": "หน้า#currentPage# จาก #maxPages#",
                                "tr-tr": "Sayfa #currentPage#/#maxPages#",
                                "zh-tw": "第 #currentPage# 頁，共 #maxPages# 頁",
                                "zh-cn": "页码 #currentPage#/#maxPages#",
                                "de-at": "Seite #currentPage# von #maxPages#",
                                "de-ch": "Seite #currentPage# von #maxPages#",
                                "eo-de": "Seite #currentPage# von #maxPages#",
                                "nl-be": "Pagina #currentPage# van #maxPages#",
                                "en-ie": "Page #currentPage# of #maxPages#",
                                "en-gb": "Page #currentPage# of #maxPages#",
                                "eo-en": "Seite #currentPage# von #maxPages#",
                                "fr-be": "Page #currentPage# de #maxPages#"
                            },
                            "sub": {
                                "et-ee": "Lk #currentPage#/#maxPages#",
                                "bg-bg": "Страница #currentPage# от #maxPages#",
                                "cs-cz": "Strana #currentPage# z #maxPages#",
                                "da-dk": "Side #currentPage# af #maxPages#",
                                "de-de": "Seite #currentPage# von #maxPages#",
                                "en-us": "Page #currentPage# of #maxPages#",
                                "es-es": "Página #currentPage# de #maxPages#",
                                "fi-fi": "Sivu #currentPage# / #maxPages#",
                                "fr-fr": "Page #currentPage# de #maxPages#",
                                "el-gr": "Σελίδα #currentPage# από #maxPages#",
                                "hi-in": "#maxPages# का पृष्ठ #currentPage#",
                                "hr-hr": "Stranica #currentPage# od #maxPages#",
                                "hu-hu": "#currentPage#. oldal; összesen #maxPages# oldal",
                                "it-it": "Pagina #currentPage# di #maxPages#",
                                "ja-jp": "ページ #currentPage# / #maxPages#",
                                "ko-kr": "#currentPage#/#maxPages#페이지",
                                "lt-lt": "#currentPage# psl. iš #maxPages#",
                                "mk-mk": "Страница #currentPage# од #maxPages#",
                                "mn-mn": "Хуудас #currentPage#, нийт #maxPages#",
                                "ms-id": "Halaman #currentPage# dari #maxPages#",
                                "nl-nl": "Pagina #currentPage# van #maxPages#",
                                "no-no": "Side #currentPage# av #maxPages#",
                                "pl-pl": "Strona #currentPage# z #maxPages#",
                                "pt-pt": "Página #currentPage# de #maxPages#",
                                "ro-ro": "Pagina #currentPage# din #maxPages#",
                                "ru-ru": "Стр. #currentPage# из #maxPages#",
                                "sk-sk": "Strana #currentPage# z #maxPages#",
                                "sl-si": "Stran #currentPage# od #maxPages#",
                                "sr-rs": "Strana #currentPage# od #maxPages#",
                                "sv-se": "Sida #currentPage# av #maxPages#",
                                "th-th": "หน้า#currentPage# จาก #maxPages#",
                                "tr-tr": "Sayfa #currentPage#/#maxPages#",
                                "zh-tw": "第 #currentPage# 頁，共 #maxPages# 頁",
                                "zh-cn": "页码 #currentPage#/#maxPages#",
                                "de-at": "Seite #currentPage# von #maxPages#",
                                "de-ch": "Seite #currentPage# von #maxPages#",
                                "eo-de": "Seite #currentPage# von #maxPages#",
                                "nl-be": "Pagina #currentPage# van #maxPages#",
                                "en-ie": "Page #currentPage# of #maxPages#",
                                "en-gb": "Page #currentPage# of #maxPages#",
                                "eo-en": "Seite #currentPage# von #maxPages#",
                                "fr-be": "Page #currentPage# de #maxPages#"
                            }
                        },
                        "percent": {
                            "both": {
                                "et-ee": "#currentPathPercent#% (#mainPathPercent#%)",
                                "bg-bg": "#currentPathPercent#% (#mainPathPercent#%)",
                                "cs-cz": "#currentPathPercent# % (#mainPathPercent# %)",
                                "da-dk": "#currentPathPercent# % (#mainPathPercent# %)",
                                "de-de": "#currentPathPercent#% (#mainPathPercent#%)",
                                "en-us": "#currentPathPercent#% (#mainPathPercent#%)",
                                "es-es": "#currentPathPercent#% (#mainPathPercent#%)",
                                "fi-fi": "#currentPathPercent#% (#mainPathPercent#%)",
                                "fr-fr": "#currentPathPercent#% (#mainPathPercent#%)",
                                "el-gr": "#currentPathPercent#% (#mainPathPercent#%)",
                                "hi-in": "#currentPathPercent#% (#mainPathPercent#%)",
                                "hr-hr": "#currentPathPercent#% (#mainPathPercent#%)",
                                "hu-hu": "#currentPathPercent#% (#mainPathPercent#%)",
                                "it-it": "#currentPathPercent#% (#mainPathPercent#%)",
                                "ja-jp": "#currentPathPercent#% (#mainPathPercent#%)",
                                "ko-kr": "#currentPathPercent#%(#mainPathPercent#%)",
                                "lt-lt": "#currentPathPercent# % (#mainPathPercent# %)",
                                "mk-mk": "#currentPathPercent#% (#mainPathPercent#%)",
                                "mn-mn": "#currentPathPercent#% (#mainPathPercent#%)",
                                "ms-id": "#currentPathPercent#% (#mainPathPercent#%)",
                                "nl-nl": "#currentPathPercent#% (#mainPathPercent#%)",
                                "no-no": "#currentPathPercent# % (#mainPathPercent# %)",
                                "pl-pl": "#currentPathPercent#% (#mainPathPercent#%)",
                                "pt-pt": "#currentPathPercent#% (#mainPathPercent#%)",
                                "ro-ro": "#currentPathPercent# % (#mainPathPercent# %)",
                                "ru-ru": "#currentPathPercent#% (#mainPathPercent#%)",
                                "sk-sk": "#currentPathPercent# % (#mainPathPercent# %)",
                                "sl-si": "#currentPathPercent# % (#mainPathPercent# %)",
                                "sr-rs": "#currentPathPercent#% (#mainPathPercent#%)",
                                "sv-se": "#currentPathPercent#% (#mainPathPercent#%)",
                                "th-th": "#currentPathPercent#% (#mainPathPercent#%)",
                                "tr-tr": "%#currentPathPercent# (%#mainPathPercent#)",
                                "zh-tw": "#currentPathPercent#% (#mainPathPercent#%)",
                                "zh-cn": "#currentPathPercent#% (#mainPathPercent#%)",
                                "de-at": "#currentPathPercent#% (#mainPathPercent#%)",
                                "de-ch": "#currentPathPercent#% (#mainPathPercent#%)",
                                "eo-de": "#currentPathPercent#% (#mainPathPercent#%)",
                                "nl-be": "#currentPathPercent#% (#mainPathPercent#%)",
                                "en-ie": "#currentPathPercent#% (#mainPathPercent#%)",
                                "en-gb": "#currentPathPercent#% (#mainPathPercent#%)",
                                "eo-en": "#currentPathPercent#% (#mainPathPercent#%)",
                                "fr-be": "#currentPathPercent#% (#mainPathPercent#%)"
                            },
                            "main": {
                                "et-ee": "#currentPathPercent#%",
                                "bg-bg": "#currentPathPercent#%",
                                "cs-cz": "#currentPathPercent# %",
                                "da-dk": "#currentPathPercent# %",
                                "de-de": "#currentPathPercent#%",
                                "en-us": "#currentPathPercent#%",
                                "es-es": "#currentPathPercent#%",
                                "fi-fi": "#currentPathPercent#%",
                                "fr-fr": "#currentPathPercent#%",
                                "el-gr": "#currentPathPercent#%",
                                "hi-in": "#currentPathPercent#%",
                                "hr-hr": "#currentPathPercent#%",
                                "hu-hu": "#currentPathPercent#%",
                                "it-it": "#currentPathPercent#%",
                                "ja-jp": "#currentPathPercent#%",
                                "ko-kr": "#currentPathPercent#%",
                                "lt-lt": "#currentPathPercent# %",
                                "mk-mk": "#currentPathPercent#%",
                                "mn-mn": "#currentPathPercent#%",
                                "ms-id": "#currentPathPercent#%",
                                "nl-nl": "#currentPathPercent#%",
                                "no-no": "#currentPathPercent# %",
                                "pl-pl": "#currentPathPercent#%",
                                "pt-pt": "#currentPathPercent#%",
                                "ro-ro": "#currentPathPercent# %",
                                "ru-ru": "#currentPathPercent#%",
                                "sk-sk": "#currentPathPercent# %",
                                "sl-si": "#currentPathPercent# %",
                                "sr-rs": "#currentPathPercent#%",
                                "sv-se": "#currentPathPercent#%",
                                "th-th": "#currentPathPercent#%",
                                "tr-tr": "%#currentPathPercent#",
                                "zh-tw": "#currentPathPercent#%",
                                "zh-cn": "#currentPathPercent#%",
                                "de-at": "#currentPathPercent#%",
                                "de-ch": "#currentPathPercent#%",
                                "eo-de": "#currentPathPercent#%",
                                "nl-be": "#currentPathPercent#%",
                                "en-ie": "#currentPathPercent#%",
                                "en-gb": "#currentPathPercent#%",
                                "eo-en": "#currentPathPercent#%",
                                "fr-be": "#currentPathPercent#%"
                            },
                            "sub": {
                                "et-ee": "#currentPathPercent#%",
                                "bg-bg": "#currentPathPercent#%",
                                "cs-cz": "#currentPathPercent# %",
                                "da-dk": "#currentPathPercent# %",
                                "de-de": "#currentPathPercent#%",
                                "en-us": "#currentPathPercent#%",
                                "es-es": "#currentPathPercent#%",
                                "fi-fi": "#currentPathPercent#%",
                                "fr-fr": "#currentPathPercent#%",
                                "el-gr": "#currentPathPercent#%",
                                "hi-in": "#currentPathPercent#%",
                                "hr-hr": "#currentPathPercent#%",
                                "hu-hu": "#currentPathPercent#%",
                                "it-it": "#currentPathPercent#%",
                                "ja-jp": "#currentPathPercent#%",
                                "ko-kr": "#currentPathPercent#%",
                                "lt-lt": "#currentPathPercent# %",
                                "mk-mk": "#currentPathPercent#%",
                                "mn-mn": "#currentPathPercent#%",
                                "ms-id": "#currentPathPercent#%",
                                "nl-nl": "#currentPathPercent#%",
                                "no-no": "#currentPathPercent# %",
                                "pl-pl": "#currentPathPercent#%",
                                "pt-pt": "#currentPathPercent#%",
                                "ro-ro": "#currentPathPercent# %",
                                "ru-ru": "#currentPathPercent#%",
                                "sk-sk": "#currentPathPercent# %",
                                "sl-si": "#currentPathPercent# %",
                                "sr-rs": "#currentPathPercent#%",
                                "sv-se": "#currentPathPercent#%",
                                "th-th": "#currentPathPercent#%",
                                "tr-tr": "%#currentPathPercent#",
                                "zh-tw": "#currentPathPercent#%",
                                "zh-cn": "#currentPathPercent#%",
                                "de-at": "#currentPathPercent#%",
                                "de-ch": "#currentPathPercent#%",
                                "eo-de": "#currentPathPercent#%",
                                "nl-be": "#currentPathPercent#%",
                                "en-ie": "#currentPathPercent#%",
                                "en-gb": "#currentPathPercent#%",
                                "eo-en": "#currentPathPercent#%",
                                "fr-be": "#currentPathPercent#%"
                            }
                        }
                    }
                }
            }
        };

    /**
     * Gets data from a nested object
     *
     * @private
     * @param {string} key - a dot separated representation of the objectstructure e.g.("cmi.core.lesson_status")
     * @param {object|string} data - the data object where the value should be got from
     */
    function getData( key, data ) {

        var parts = key.split( "." ),
            i = 0,
            parent = data;

        for ( ; i < parts.length; ++i ) {
            if ( !parent[parts[i]] ) {
                return null;
            }
            parent = parent[parts[i]];
        }

        return parent;
    }

    // revealing public API
    return {

        /**
         * Gets a text in a given language
         * If the text is not defined in the given language, the text in teh fallback "en-us" is used, otherwise "null".
         *
         * @public
         * @param {string} key - a dot separated representation of the resource e.g.("quiz.evaluate")
         * @param {string} [language] - the language for the text e.g.("en-us")
         */
        get: function ( key, language ) {

            var text = getData( key, texts );
            if ( text ) {
                return getData( language, text ) || getData( fallbackLanguage, text );
            }

            return null;
        }
    }
} );