{
  "fileName": "component.js",
  "category": {
    "de-de": "tts Lernprogrammsteuerung",
    "en-us": "tts tutorial control",
    "es-es": "Control del tutorial tts",
    "fr-fr": "barre de navigation tts"
  },
  "name": {
    "de-de": "Beendenschaltfläche",
    "en-us": "Close button",
    "es-es": "Botón cerrar",
    "fr-fr": "Bouton fermer"
  },
  "version": {
    "major": "8",
    "minor": "6",
    "revision": "1",
    "build": "202401150845DEV"
  },
  "apiVersion": {
    "major": "2",
    "minor": "8",
    "revision": "0"
  },
  "events": [],
  "parameter": {
    "com.tts": {
      "left": "100",
      "top": "100",
      "width": "50",
      "height": "50",
      "scaling_mode": "fixed",
      "description": "Close button"
    },
    "use_svg": "false",
    "show_dialog": "false",
    "color_svg_icon_default": "#ffffff",
    "color_svg_icon_hover": "#ffffff",
    "color_svg_icon_pressed": "#ffffff",
    "color_svg_icon_inactive": "#a9a9a9",
    "color_svg_background_default": "#707070",
    "color_svg_background_hover": "#fd7e2f",
    "color_svg_background_pressed": "#df7a3b",
    "color_svg_background_inactive": "#707070",
    "bg_image": "",
    "padding-left": "10",
    "padding-right": "10",
    "padding-top": "10",
    "padding-bottom": "10",
    "text_orientation": "center",
    "text_vertical_align": "middle",
    "font-size": "14",
    "color": "#919191",
    "font-family": "1",
    "width_dialog": "320",
    "height_dialog": "160",
    "border_color_dialog": "#ffffff",
    "border_width_dialog": "0",
    "border_transparency_dialog": "0",
    "fill_color_dialog": "#ffffff",
    "fill_color_transparency_dialog": "0",
    "fill_color_content_cover_dialog": "#000000",
    "fill_color_transparency_content_cover_dialog": "30",
    "font_family_no_button": "1",
    "font_size_no_button": "21",
    "show_label_no_button": "true",
    "color_no_button": "#999999",
    "color_hover_no_button": "#999999",
    "color_pressed_no_button": "#999999",
    "text_orientation_no_button": "center",
    "text_vertical_align_no_button": "middle",
    "padding_left_no_button": "20",
    "padding_right_no_button": "50",
    "padding_top_no_button": "10",
    "padding_bottom_no_button": "10",
    "bg_image_no_button": "",
    "font_family_yes_button": "1",
    "font_size_yes_button": "21",
    "show_label_yes_button": "true",
    "color_yes_button": "#999999",
    "color_hover_yes_button": "#999999",
    "color_pressed_yes_button": "#999999",
    "text_orientation_yes_button": "center",
    "text_vertical_align_yes_button": "middle",
    "padding_left_yes_button": "20",
    "padding_right_yes_button": "50",
    "padding_top_yes_button": "10",
    "padding_bottom_yes_button": "10",
    "bg_image_yes_button": "",
    "font_family_text": "1",
    "font_size_text": "21",
    "color_text": "#505050",
    "text_orientation_text": "center",
    "bold_text": "false",
    "italic_text": "false",
    "underline_text": "false",
    "padding_left_text": "25",
    "padding_right_text": "25",
    "padding_top_text": "25",
    "exclude-from-tab-control": "false",
    "tab-order": "",
    "accessibility-key-close": "KeyB",
    "accessibility-key-yes": "KeyJ",
    "accessibility-key-no": "KeyZ",
    "accessibility-location": "1",
    "accessibility-position-x": "0",
    "accessibility-position-y": "0",
    "de-de": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "fr-fr": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "es-es": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "en-us": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "it-it": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "bg-bg": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "ca-es": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "cs-cz": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "da-dk": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "de-at": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "de-ch": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "el-gr": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "en-gb": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "en-ie": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "eo-de": {
      "text": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "es-ar": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "et-ee": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "eu-es": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "fi-fi": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "fr-be": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "hi-in": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "hr-hr": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "hu-hu": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "ja-jp": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "ko-kr": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "lt-lt": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "mk-mk": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "mn-mn": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "ms-id": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "nl-be": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "nl-nl": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "no-no": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "pl-pl": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "pt-br": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "pt-pt": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "ro-ro": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "ru-ru": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "sk-sk": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "sl-si": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "sr-rs": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "sv-se": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "th-th": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "tr-tr": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "zh-cn": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    },
    "zh-tw": {
      "text": "",
      "text_dialog": "",
      "label_no_button": "",
      "label_yes_button": "",
      "aria-label": "",
      "aria-label-yes": "",
      "aria-label-no": ""
    }
  }
}