var texts = {
    "com.tts": {
        "description": {
            "es-es": "Objeto de Presentación",
            "fr-fr": "Présentation de l'Objet",
            "de-de": "Medienobjekt",
            "en-us": "Presentation Object"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "tabAutoform": {
        "es-es": "Borde y fondo",
        "fr-fr": "Bordure et arrière-plan",
        "de-de": "Rahmen und Füllung",
        "en-us": "Border and background"
    },
    "tabText": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "tabShadow": {
        "es-es": "Sombra",
        "fr-fr": "Shadow",
        "de-de": "Schatten",
        "en-us": "Shadow"
    },
    "borderParamsDesc": {
        "es-es": "Borde",
        "fr-fr": "Bordure",
        "de-de": "Linie",
        "en-us": "Border"
    },
    "backgroundParamsDesc": {
        "es-es": "Fondo",
        "fr-fr": "Arrière-plan",
        "de-de": "Füllung",
        "en-us": "Background"
    },
    "display-mode": {
        "es-es": "Modo de visualización",
        "fr-fr": "Mode d'affichage",
        "de-de": "Anzeigemodus",
        "en-us": "Display mode"
    },
    "comment-and-feedback": {
        "es-es": "Comentarios y feedback",
        "fr-fr": "Commentaire et feedback",
        "de-de": "Kommentar und Feedback",
        "en-us": "Comment and feedback"
    },
    "comment-only": {
        "es-es": "Comentario",
        "fr-fr": "Commentaire",
        "de-de": "Kommentar",
        "en-us": "Comment"
    },
    "feedback-only": {
        "es-es": "Feedback",
        "fr-fr": "Feedback",
        "de-de": "Feedback",
        "en-us": "Feedback"
    },
    "font-family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (autre: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (autre: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (autre: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (autre: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "font-size": {
        "es-es": "Tamaño de la fuente",
        "fr-fr": "Taille de police",
        "de-de": "Schriftgrad",
        "en-us": "Font size"
    },
    "color-comment": {
        "es-es": "Color del texto de comentario",
        "fr-fr": "Couleur du texte de commentaire",
        "de-de": "Textfarbe des Kommentars",
        "en-us": "Color of the comment text"
    },
    "color-feedback": {
        "es-es": "Color del texto de feedback",
        "fr-fr": "Couleur du texte de feedback",
        "de-de": "Textfarbe des Feedbacks",
        "en-us": "Color of the feedback text"
    },
    "padding-comment-feedback": {
        "es-es": "Distancia entre comentario y feedback (px)",
        "fr-fr": "Distance entre le commentaire et le feedback (px)",
        "de-de": "Abstand zwischen Kommentar und Feedback (Px)",
        "en-us": "Distance between comment and feedback (px)"
    },
    "padding-left": {
        "es-es": "Relleno interior izquierdo (px)",
        "fr-fr": "Tabulation à gauche (px)",
        "de-de": "Innerer Rand links (Px)",
        "en-us": "Inner padding left (px)"
    },
    "padding-right": {
        "es-es": "Relleno interior derecho (px)",
        "fr-fr": "Tabulation à droite (px)",
        "de-de": "Innerer Rand recht (Px)",
        "en-us": "Inner padding right (px)"
    },
    "padding-top": {
        "es-es": "Relleno interior superior (px)",
        "fr-fr": "Tabulation en haut (px)",
        "de-de": "Innerer Rand oben (Px)",
        "en-us": "Inner padding top (px)"
    },
    "padding-bottom": {
        "es-es": "Relleno interior inferior(px)",
        "fr-fr": "Tabulation en bas (px)",
        "de-de": "Innerer Rand unten (Px)",
        "en-us": "Inner padding bottom (px)"
    },
    "border-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "border-size": {
        "es-es": "Tamaño",
        "fr-fr": "Taille",
        "de-de": "Stärke",
        "en-us": "Size"
    },
    "border-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "background-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "background-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "align": {
        "es-es": "Altura dinámica",
        "fr-fr": "Hauteur dynamique",
        "de-de": "Höhe dynamisch",
        "en-us": "Dynamic height"
    },
    "top": {
        "es-es": "Extender abajo",
        "fr-fr": "Etendre en bas",
        "de-de": "Nach unten",
        "en-us": "Extend bottom"
    },
    "bottom": {
        "es-es": "Extender arriba",
        "fr-fr": "Etendre en haut",
        "de-de": "Nach oben",
        "en-us": "Extend top"
    },
    "border-radius": {
        "es-es": "Radio del borde de las esquinas (px)",
        "fr-fr": "Coins arrondis (px)",
        "de-de": "Radius runde Ecken (Px)",
        "en-us": "Radius rounded corners (px)"
    },
    "box-shadow-size-h": {
        "es-es": "Distancia hacia la derecha",
        "fr-fr": "Distance à droite",
        "de-de": "Abstand nach rechts",
        "en-us": "Distance to the right"
    },
    "box-shadow-size-v": {
        "es-es": "Distancia hacia abajo",
        "fr-fr": "Distance en bas",
        "de-de": "Abstand nach unten",
        "en-us": "Distance to the bottom"
    },
    "box-shadow-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "box-shadow-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "box-shadow-blur": {
        "es-es": "Difuminar",
        "fr-fr": "Estomper",
        "de-de": "Unschärfe",
        "en-us": "Blur"
    },
    "caption": {
        "es-es": "Comentario / Feedback",
        "fr-fr": "Commentaire / Feedback",
        "de-de": "Kommentar / Feedback",
        "en-us": "Comment / Feedback"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    }
};
