var texts = {
    "com.tts": {
        "description": {
            "es-es": "Nombre",
            "fr-fr": "Nom",
            "de-de": "Name",
            "en-us": "Name"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "caption": {
        "es-es": "Sitemap v2",
        "fr-fr": "Sitemap v2",
        "de-de": "Sitemap v2",
        "en-us": "Sitemap v2"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    },

    "tabPosition": {
        "es-es": "Posición y tamaño",
        "fr-fr": "Position et taille",
        "de-de": "Position und Größe",
        "en-us": "Position and size"
    },
    "tabAutoform": {
        "es-es": "Borde y fondo",
        "fr-fr": "Bordure et arrière-plan",
        "de-de": "Rahmen und Füllung",
        "en-us": "Border and background"
    },
    "tabSVG": {
        "es-es": "Por defecto",
        "fr-fr": "Défaut",
        "de-de": "Standard",
        "en-us": "Default"
    },
    "tabPicture": {
        "es-es": "Imagen",
        "fr-fr": "Image",
        "de-de": "Grafik",
        "en-us": "Image"
    },
	"tabText": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "tabSettings": {
        "es-es": "Ajustes",
        "fr-fr": "Paramètres",
        "de-de": "Einstellungen",
        "en-us": "Settings"
    },
    "tabAccessibility": {
        "es-es": "Accesibilidad",
        "fr-fr": "Accessibilité",
        "de-de": "Barrierefreiheit",
        "en-us": "Accessibility"
    },

    // General Tab
    "sitemap_height": {
        "es-es": "Altura (px)",
        "fr-fr": "Taille (px)",
        "de-de": "Höhe (px)",
        "en-us": "Height (px)"
    },
    "sitemap_width": {
        "es-es": "Anchura (px)",
        "fr-fr": "Largeur (px)",
        "de-de": "Breite (px)",
        "en-us": "Width (px)"
    },
    "sitemap_location": {
		"es-es": "Posición",
        "fr-fr": "Position",
        "de-de": "Position",
        "en-us": "Position"
	},
	"top_left": {
		"es-es": "Arriba a la izquierda",
        "fr-fr": "En haut à gauche",
        "de-de": "Oben links",
        "en-us": "Top left"
	},
	"top_centered": {
		"es-es": "Superior centrado",
        "fr-fr": "Top centré",
        "de-de": "Oben zentriert",
        "en-us": "Top centered"
	},
	"top_right": {
		"es-es": "Parte superior derecha",
        "fr-fr": "En haut à droite",
        "de-de": "Oben rechts",
        "en-us": "Top right"
	},
	"right_centered": {
		"es-es": "Centrada derecha",
        "fr-fr": "Centré à droite",
        "de-de": "Rechts zentriert",
        "en-us": "Right centered"
	},
	"bottom_right": {
		"es-es": "Abajo a la derecha",
        "fr-fr": "En bas à droite",
        "de-de": "Unten rechts",
        "en-us": "Bottom right"
	},
	"bottom_centered": {
		"es-es": "Centrado en la parte inferior",
        "fr-fr": "Bas centré",
        "de-de": "Unten zentriert",
        "en-us": "Bottom centered"
	},
	"bottom_left": {
		"es-es": "Abajo a la izquierda",
        "fr-fr": "En bas à gauche",
        "de-de": "Unten links",
        "en-us": "Bottom left"
	},
	"left_centered": {
		"es-es": "Centrado a la izquierda",
        "fr-fr": "Centré à gauche",
        "de-de": "Links zentriert",
        "en-us": "Left centered"
    },
    "absolute": {
		"es-es": "Posicionado",
        "fr-fr": "Positionné",
        "de-de": "Positioniert",
        "en-us": "Positioned"
    },
    "sitemapPositionX": {
        "es-es": "X-Posición (px)",
        "fr-fr": "X-Position (px)",
        "de-de": "X-Position (px)",
        "en-us": "X-Position (px)"
    },
    "sitemapPositionY": {
        "es-es": "Y-Posición (px)",
        "fr-fr": "Y-Position (px)",
        "de-de": "Y-Position (px)",
        "en-us": "Y-Position (px)"
    },

    //SVG Tab
    "desc_state_default": {
        "es-es": "Estado por defecto:",
        "fr-fr": "Etat par défaut :",
        "de-de": "Zustand normal:",
        "en-us": "State default:"
    },
    "desc_state_hover": {
        "es-es": "Estado flotar:",
        "fr-fr": "Etat au survol :",
        "de-de": "Zustand hover:",
        "en-us": "State hover:"
    },
    "desc_state_mouse_down": {
        "es-es": "Estado mousedown:",
        "fr-fr": "Etat au clic :",
        "de-de": "Zustand mouse down:",
        "en-us": "State mouse down:"
    },
    "desc_color_states": {
        "es-es": "Estados de color",
        "fr-fr": "Etat des couleurs",
        "de-de": "Farbwerte",
        "en-us": "Color states"
    },
    "color_svg_icon_default": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon",
        "section_link": "desc_state_default"
    },
    "color_svg_icon_hover": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon",
        "section_link": "desc_state_hover"
    },
    "color_svg_icon_pressed": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon",
        "section_link": "desc_state_mouse_down"
    },
    "color_svg_icon_inactive": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon",
        "section_link": "desc_state_inactive"
    },
    "color_svg_background_default": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur d'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background",
        "section_link": "desc_state_default"
    },
    "color_svg_background_hover": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur d'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background",
        "section_link": "desc_state_hover"
    },
    "color_svg_background_pressed": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur d'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background",
        "section_link": "desc_state_mouse_down"
    },
    "color_svg_marker": {
        "es-es": "Color Paso actual",
        "fr-fr": "Couleur Étape actuelle",
        "de-de": "Farbe Aktueller Schritt",
        "en-us": "Color Current step"
    },
    "color_svg_icon": {
        "es-es": "Contorno de color Abrir/Cerrar",
        "fr-fr": "Couleur Contour ouvert/fermé",
        "de-de": "Farbe Gliederung Auf-/Zuklappen",
        "en-us": "Color Outline Open/Close"
    },
    "color_svg_visited": {
        "es-es": "Color Visitado",
        "fr-fr": "Couleur Visitée",
        "de-de": "Farbe Besucht",
        "en-us": "Color Visited"
    },

    //Autoform Tab
    "descParamsBorder": {
        "es-es": "Borde",
        "fr-fr": "Bordure",
        "de-de": "Rahmen",
        "en-us": "Border"
    },
    "descParamsBackground": {
        "es-es": "Fondo",
        "fr-fr": "Arrière-plan",
        "de-de": "Füllung",
        "en-us": "Background"
    },
    "descParamsSeparator": {
        "es-es": "Separadores",
        "fr-fr": "Séparateurs",
        "de-de": "Trennlinien",
        "en-us": "Separators"
    },
    "border_color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
	"border_width": {
        "es-es": "Tamaño",
        "fr-fr": "Taille",
        "de-de": "Stärke",
        "en-us": "Size"
    },
    "borderTransparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "fill_color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "fillColorTransparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "separator_color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "separator_width": {
        "es-es": "Tamaño",
        "fr-fr": "Taille",
        "de-de": "Stärke",
        "en-us": "Size"
    },
    "separatorTransparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },

    // Graphic tab
    "bg_image": {
        "es-es": "Botón (6 estados)",
        "fr-fr": "Bouton (6 états)",
        "de-de": "Schaltfläche (6 Zustände)",
        "en-us": "Button (6 states)"
    },
    "icons_image": {
        "es-es": "Expandir / colapso (2 estados)",
        "fr-fr": "Développer / réduire (2 états)",
        "de-de": "Erweitern / reduzieren (2 Zustände)",
        "en-us": "Expand / collapse (2 states)"
    },
	"marker_image": {
        "es-es": "Paso actual",
        "fr-fr": "Étape actuelle",
        "de-de": "Aktueller Schritt",
        "en-us": "Current step"
    },
    "visited_image": {
        "es-es": "Paso visitado",
        "fr-fr": "Étape visitée",
        "de-de": "Besuchter Schritt",
        "en-us": "Visited step"
    },

    // Text tab
    "font-family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (fallback: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (fallback: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (fallback: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (fallback: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "font-size": {
        "es-es": "Tamaño de la fuente (px)",
        "fr-fr": "Taille de police (px)",
        "de-de": "Schriftgrad (px)",
        "en-us": "Font size (px)"
    },
	"section_text_color": {
        "es-es": "Contorno",
        "fr-fr": "Contour",
        "de-de": "Gliederung",
        "en-us": "Outline"
    },
	"section_hover_color": {
        "es-es": "Contorno (flotar)",
        "fr-fr": "Contour (survol)",
        "de-de": "Gliederung (hover)",
        "en-us": "Outline (hover)"
    },
	"page_text_color": {
        "es-es": "Paso",
        "fr-fr": "Étape",
        "de-de": "Schritt",
        "en-us": "Step"
    },
	"page_hover_color": {
        "es-es": "Paso (flotar)",
        "fr-fr": "Étape (survol)",
        "de-de": "Schritt (hover)",
        "en-us": "Step (hover)"
    },
    "padding-left": {
        "es-es": "Relleno interior izquierdo (px)",
        "fr-fr": "Tabulation à gauche (px)",
        "de-de": "Innerer Rand links (px)",
        "en-us": "Inner padding left (px)"
    },
    "padding-right": {
        "es-es": "Relleno interior derecho (px)",
        "fr-fr": "Tabulation à droite (px)",
        "de-de": "Innerer Rand rechts (px)",
        "en-us": "Inner padding right (px)"
    },
    "padding-top": {
        "es-es": "Relleno interior superior (px)",
        "fr-fr": "Tabulation en haut (px)",
        "de-de": "Innerer Rand oben (px)",
        "en-us": "Inner padding top (px)"
    },
    "padding-bottom": {
        "es-es": "Relleno interior inferior (px)",
        "fr-fr": "Tabulation en bas (px)",
        "de-de": "Innerer Rand unten (px)",
        "en-us": "Inner padding unten (px)"
    },
    "cut_titles": {
        "es-es": "Cortar títulos largos",
        "fr-fr": "Couper les titres longs",
        "de-de": "Lange Titel kürzen",
        "en-us": "Cut long titles"
    },
    "shortTitles": {
        "es-es": "Sí",
        "fr-fr": "Oui",
        "de-de": "Ja",
        "en-us": "Yes"
    },
	"longTitles": {
        "es-es": "No",
        "fr-fr": "Non",
        "de-de": "Nein",
        "en-us": "No"
    },
    "tooltip": {
        "es-es": "Tooltip alternativo [Estado: Cerrado]",
        "fr-fr": "Infobulle alternative [État : Fermé]",
        "de-de": "Alternativer Tooltip [Zustand: Geschlossen]",
        "en-us": "Alternate tooltip [State: Closed]"
    },
    "tooltip-close": {
        "es-es": "Tooltip alternativo [Estado: Abierto]",
        "fr-fr": "Infobulle alternative [État : Ouvert]",
        "de-de": "Alternativer Tooltip [Zustand: Geöffnet]",
        "en-us": "Alternate tooltip [State: Opened]"
    },

    // Advanced tab
    "use_svg": {
        "es-es": "Tipo",
        "fr-fr": "Type",
        "de-de": "Typ",
        "en-us": "Type"
    },
    "use_svg_default": {
        "es-es": "Por defecto",
        "fr-fr": "Défaut",
        "de-de": "Standard",
        "en-us": "Default"
    },
    "use_svg_image": {
        "es-es": "Imagen",
        "fr-fr": "Image",
        "de-de": "Grafik",
        "en-us": "Image"
    },
    "show_visited": {
        "es-es": "Marcar los pasos visitados",
        "fr-fr": "Mark a visité les étapes",
        "de-de": "Besuchte Schritte markieren",
        "en-us": "Mark visited steps"
    },
    "show_sitemap_in_authoring_mode": {
        "es-es": "Mostrar sitemap en modo de autoría",
        "fr-fr": "Afficher le plan du site en mode création",
        "de-de": "Sitemap im Autorenmodus anzeigen",
        "en-us": "Show sitemap in authoring mode"
    },
    "yes": {
        "es-es": "Sí",
        "fr-fr": "Oui",
        "de-de": "Ja",
        "en-us": "Yes"
    },
	"no": {
        "es-es": "No",
        "fr-fr": "Non",
        "de-de": "Nein",
        "en-us": "No"
    },
    "aria-label": {
        "es-es": "aria-label [Estado: Cerrado]",
        "fr-fr": "aria-label [État : Fermé]",
        "de-de": "aria-label [Zustand: Geschlossen]",
        "en-us": "aria-label [State: Closed]"
    },
    "aria-label-close": {
        "es-es": "aria-label [Estado: Abierto]",
        "fr-fr": "aria-label [État : Ouvert]",
        "de-de": "aria-label [Zustand: Geöffnet]",
        "en-us": "aria-label [State: Opened]"
    },
    "exclude-from-tab-control": {
        "es-es": "Excluir del control TAB",
        "fr-fr": "Exclure du contrôle TAB",
        "de-de": "Ausschließen von TAB-Steuerung",
        "en-us": "Exclude from TAB control"
    },
    "tab-order": {
        "es-es": "Orden de las TAB",
        "fr-fr": "Ordre de la TAB",
        "de-de": "TAB-Reihenfolge",
        "en-us": "TAB order"
    },
    "accessibility-key": {
        "es-es": "Botón",
        "fr-fr": "Bouton",
        "de-de": "Taste",
        "en-us": "Button"
    },
    "accessibility-location": {
        "es-es": "Posición",
        "fr-fr": "Position",
        "de-de": "Position",
        "en-us": "Position"
    },
    "top_left": {
        "es-es": "Arriba a la izquierda",
        "fr-fr": "En haut à gauche",
        "de-de": "Oben links",
        "en-us": "Top left"
    },
    "top_right": {
        "es-es": "Parte superior derecha",
        "fr-fr": "En haut à droite",
        "de-de": "Oben rechts",
        "en-us": "Top right"
    },
    "bottom_left": {
        "es-es": "Abajo a la izquierda",
        "fr-fr": "En bas à gauche",
        "de-de": "Unten links",
        "en-us": "Bottom left"
    },
    "bottom_right": {
        "es-es": "Abajo a la derecha",
        "fr-fr": "En bas à droite",
        "de-de": "Unten rechts",
        "en-us": "Bottom right"
    },
    "absolute": {
        "es-es": "Posicionado",
        "fr-fr": "Positionné",
        "de-de": "Positioniert",
        "en-us": "Positioned"
    },
    "accessibility-position-x": {
        "es-es": "X-Posición (px)",
        "fr-fr": "X-Position (px)",
        "de-de": "X-Position (px)",
        "en-us": "X-Position (px)"
    },
    "accessibility-position-y": {
        "es-es": "Y-Posición (px)",
        "fr-fr": "Y-Position (px)",
        "de-de": "Y-Position (px)",
        "en-us": "Y-Position (px)"
    },
    "accessibility-location": {
        "es-es": "Posición",
        "fr-fr": "Position",
        "de-de": "Position",
        "en-us": "Position"
    },
    "top_left": {
        "es-es": "Arriba a la izquierda",
        "fr-fr": "En haut à gauche",
        "de-de": "Oben links",
        "en-us": "Top left"
    },
    "top_right": {
        "es-es": "Parte superior derecha",
        "fr-fr": "En haut à droite",
        "de-de": "Oben rechts",
        "en-us": "Top right"
    },
    "bottom_left": {
        "es-es": "Abajo a la izquierda",
        "fr-fr": "En bas à gauche",
        "de-de": "Unten links",
        "en-us": "Bottom left"
    },
    "bottom_right": {
        "es-es": "Abajo a la derecha",
        "fr-fr": "En bas à droite",
        "de-de": "Unten rechts",
        "en-us": "Bottom right"
    },
    "absolute": {
        "es-es": "Posicionado",
        "fr-fr": "Positionné",
        "de-de": "Positioniert",
        "en-us": "Positioned"
    },
    "accessibility-position-x": {
        "es-es": "X-Posición (px)",
        "fr-fr": "X-Position (px)",
        "de-de": "X-Position (px)",
        "en-us": "X-Position (px)"
    },
    "accessibility-position-y": {
        "es-es": "Y-Posición (px)",
        "fr-fr": "Y-Position (px)",
        "de-de": "Y-Position (px)",
        "en-us": "Y-Position (px)"
    }
};