{
  "fileName": "component.js",
  "category": {
    "de-de": "tts Weitere",
    "en-us": "tts Misc",
    "es-es": "tts Misc",
    "fr-fr": "tts Misc"
  },
  "name": {
    "de-de": "Schaltfläche (Text)",
    "en-us": "Button (text)",
    "es-es": "Button (text)",
    "fr-fr": "Button (text)"
  },
  "version": {
    "major": "8",
    "minor": "4",
    "revision": "1",
    "build": "202402060747DEV"
  },
  "apiVersion": {
    "major": "2",
    "minor": "8",
    "revision": "0"
  },
  "events": {
    "tg_pressed": {
      "de-de": "Gedrückt",
      "en-us": "Pressed",
      "es-es": "Pulsado",
      "fr-fr": "Pressée"
    },
    "tg_mouseover": {
      "de-de": "MouseOver",
      "en-us": "MouseOver",
      "es-es": "MouseOver",
      "fr-fr": "MouseOver"
    },
    "tg_mouseleave": {
      "de-de": "MouseLeave",
      "en-us": "MouseLeave",
      "es-es": "MouseLeave",
      "fr-fr": "MouseLeave"
    }
  },
  "parameter": {
    "com.tts": {
      "left": "100",
      "top": "100",
      "width": "50",
      "height": "50",
      "scaling_mode": "fixed",
      "description": "Button (text)"
    },
    "padding-left": "10",
    "padding-right": "10",
    "padding-top": "10",
    "padding-bottom": "10",
    "text_orientation": "center",
    "text_vertical_align": "middle",
    "font-size": "14",
    "font-family": "1",
    "background-color": "#999999",
    "background-color-transparency": "1",
    "background-color-hover": "#adadad",
    "background-color-hover-transparency": "1",
    "background-color-pressed": "#fd7326",
    "background-color-pressed-transparency": "1",
    "text-color": "#000000",
    "text-color-hover": "#000000",
    "text-color-pressed": "#000000",
    "exclude-from-tab-control": "false",
    "tab-order": "",
    "accessibility-key": "KeyNone",
    "accessibility-location": "1",
    "accessibility-position-x": "0",
    "accessibility-position-y": "0",
    "en-us": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "de-de": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "fr-fr": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "es-es": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "it-it": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "bg-bg": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "ca-es": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "cs-cz": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "da-dk": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "de-at": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "de-ch": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "el-gr": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "en-gb": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "en-ie": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "eo-de": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "es-ar": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "et-ee": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "eu-es": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "fi-fi": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "fr-be": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "hi-in": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "hr-hr": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "hu-hu": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "ja-jp": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "ko-kr": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "lt-lt": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "mk-mk": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "mn-mn": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "ms-id": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "nl-be": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "nl-nl": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "no-no": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "pl-pl": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "pt-br": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "pt-pt": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "ro-ro": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "ru-ru": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "sk-sk": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "sl-si": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "sr-rs": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "sv-se": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "th-th": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "tr-tr": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "zh-cn": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    },
    "zh-tw": {
      "text": "Text",
      "tooltip": "",
      "aria-label": ""
    }
  }
}