define( function() {
    var keyCode = {
        "KeyA": {
            "label": "a",
            "keyCode": 65
        },
        "KeyB": {
            "label": "b",
            "keyCode": 66
        },
        "KeyC": {
            "label": "c",
            "keyCode": 67
        },
        "KeyD": {
            "label": "d",
            "keyCode": 68
        },
        "KeyE": {
            "label": "e",
            "keyCode": 69
        },
        "KeyF": {
            "label": "f",
            "keyCode": 70
        },
        "KeyG": {
            "label": "g",
            "keyCode": 71
        },
        "KeyH": {
            "label": "h",
            "keyCode": 72
        },
        "KeyI": {
            "label": "i",
            "keyCode": 73
        },
        "KeyJ": {
            "label": "j",
            "keyCode": 74
        },
        "KeyK": {
            "label": "k",
            "keyCode": 75
        },
        "KeyL": {
            "label": "l",
            "keyCode": 76
        },
        "KeyM": {
            "label": "m",
            "keyCode": 77
        },
        "KeyN": {
            "label": "n",
            "keyCode": 78
        },
        "KeyO": {
            "label": "o",
            "keyCode": 79
        },
        "KeyP": {
            "label": "p",
            "keyCode": 80
        },
        "KeyQ": {
            "label": "q",
            "keyCode": 81
        },
        "KeyR": {
            "label": "r",
            "keyCode": 82
        },
        "KeyS": {
            "label": "s",
            "keyCode": 83
        },
        "KeyT": {
            "label": "t",
            "keyCode": 84
        },
        "KeyU": {
            "label": "u",
            "keyCode": 85
        },
        "KeyV": {
            "label": "v",
            "keyCode": 86
        },
        "KeyW": {
            "label": "w",
            "keyCode": 87
        },
        "KeyX": {
            "label": "x",
            "keyCode": 88
        },
        "KeyY": {
            "label": "y",
            "keyCode": 89
        },
        "KeyZ": {
            "label": "z",
            "keyCode": 90
        },
        "Digit0": {
            "label": "0",
            "keyCode": 48
        },
        "Digit1": {
            "label": "1",
            "keyCode": 49
        },
        "Digit2": {
            "label": "2",
            "keyCode": 50
        },
        "Digit3": {
            "label": "3",
            "keyCode": 51
        },
        "Digit4": {
            "label": "4",
            "keyCode": 52
        },
        "Digit5": {
            "label": "5",
            "keyCode": 53
        },
        "Digit6": {
            "label": "6",
            "keyCode": 54
        },
        "Digit7": {
            "label": "7",
            "keyCode": 55
        },
        "Digit8": {
            "label": "8",
            "keyCode": 56
        },
        "Digit9": {
            "label": "9",
            "keyCode": 57
        }
    };

    // revealing public API
    return {
        getKeyOptions: function (key) {
            return key === "KeyNone" ? false : keyCode[key];
        }
    }
} );