var texts = {
    "com.tts": {
        "description": {
            "es-es": "Nombre",
            "fr-fr": "Nom",
            "de-de": "Name",
            "en-us": "Name"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "caption": {
        "es-es": "Botón siguiente",
        "fr-fr": "Bouton Suivant",
        "de-de": "Weiterschaltfläche",
        "en-us": "Next button"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    },
    "bg_image": {
        "es-es": "Imagen de fondo (4 estados)",
        "fr-fr": "Image d'arrière-plan (4 états)",
        "de-de": "Hintergrundgrafik (4 Zustände)",
        "en-us": "Background image (4 states)"
    },
    "tabPicture": {
        "es-es": "Imagen",
        "fr-fr": "Image",
        "de-de": "Grafik",
        "en-us": "Image"
    },
    "tabSVG": {
        "es-es": "Por defecto",
        "fr-fr": "Défaut",
        "de-de": "Standard",
        "en-us": "Default"
    },
    "tabText": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "text": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "padding-left": {
        "es-es": "Relleno interior izquierdo (px)",
        "fr-fr": "Tabulation à gauche (px)",
        "de-de": "Innerer Rand links (px)",
        "en-us": "Inner padding left (px)"
    },
    "padding-right": {
        "es-es": "Relleno interior derecho (px)",
        "fr-fr": "Tabulation à droite (px)",
        "de-de": "Innerer Rand rechts (px)",
        "en-us": "Inner padding right (px)"
    },
    "padding-top": {
        "es-es": "Relleno interior superior (px)",
        "fr-fr": "Tabulation en haut (px)",
        "de-de": "Innerer Rand oben (px)",
        "en-us": "Inner padding top (px)"
    },
    "padding-bottom": {
        "es-es": "Relleno interior inferior (px)",
        "fr-fr": "Tabulation en bas (px)",
        "de-de": "Innerer Rand unten (px)",
        "en-us": "Inner padding unten (px)"
    },
    "font-size": {
        "es-es": "Tamaño de la fuente (px)",
        "fr-fr": "Taille de police (px)",
        "de-de": "Schriftgrad (px)",
        "en-us": "Font size (px)"
    },
    "color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "font-family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (fallback: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (fallback: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (fallback: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (fallback: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "text_orientation": {
        "es-es": "Alineación horizontal del texto",
        "fr-fr": "Alignement horizontal du texte",
        "de-de": "Bündig ausrichten",
        "en-us": "Text horizontal alignment"
    },
    "left": {
        "es-es": "izquierda",
        "fr-fr": "gauche",
        "de-de": "Linksbündig",
        "en-us": "left"
    },
    "center": {
        "es-es": "centro",
        "fr-fr": "centre",
        "de-de": "Zentriert",
        "en-us": "center"
    },
    "right": {
        "es-es": "derecha",
        "fr-fr": "droite",
        "de-de": "Rechtsbündig",
        "en-us": "right"
    },
    "text_vertical_align": {
        "es-es": "Alineación vertical del texto",
        "fr-fr": "Alignement vertical du texte",
        "de-de": "Text ausrichten",
        "en-us": "Text vertical alignment"
    },
    "top": {
        "es-es": "Alto",
        "fr-fr": "Haut",
        "de-de": "Oben",
        "en-us": "Top"
    },
    "middle": {
        "es-es": "Medio",
        "fr-fr": "Milieu",
        "de-de": "Mitte",
        "en-us": "Middle"
    },
    "bottom": {
        "es-es": "Bajo",
        "fr-fr": "Bas",
        "de-de": "Unten",
        "en-us": "Bottom"
    },
    "use_svg": {
        "es-es": "Tipo",
        "fr-fr": "Type",
        "de-de": "Typ",
        "en-us": "Type"
    },
    "use_svg_default": {
        "es-es": "Por defecto",
        "fr-fr": "Défaut",
        "de-de": "Standard",
        "en-us": "Default"
    },
    "use_svg_image": {
        "es-es": "Imagen",
        "fr-fr": "Image",
        "de-de": "Grafik",
        "en-us": "Image"
    },
    "desc_size": {
        "es-es": "Ancho",
        "fr-fr": "Largeur",
        "de-de": "Größe",
        "en-us": "Width"
    },
    "desc_state_default": {
        "es-es": "Estado por defecto:",
        "fr-fr": "Etat par défaut :",
        "de-de": "Zustand normal:",
        "en-us": "State default:"
    },
    "desc_state_hover": {
        "es-es": "Estado flotar:",
        "fr-fr": "Etat au survol :",
        "de-de": "Zustand hover:",
        "en-us": "State hover:"
    },
    "desc_state_mouse_down": {
        "es-es": "Estado mousedown:",
        "fr-fr": "Etat au clic :",
        "de-de": "Zustand mouse down:",
        "en-us": "State mouse down:"
    },
    "desc_state_inactive": {
        "es-es": "Estado inactivo:",
        "fr-fr": "Etat inactif :",
        "de-de": "Zustand inactive:",
        "en-us": "State inactive:"
    },
    "desc_color_states": {
        "es-es": "Estados de color",
        "fr-fr": "Etat des couleurs",
        "de-de": "Farbwerte",
        "en-us": "Color states"
    },
    "color_svg_icon_default": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon"
    },
    "color_svg_icon_hover": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon"
    },
    "color_svg_icon_pressed": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon"
    },
    "color_svg_icon_inactive": {
        "es-es": "Icono de color",
        "fr-fr": "Couleur de l'icône",
        "de-de": "Farbe Icon",
        "en-us": "Color icon"
    },
    "color_svg_background_default": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "color_svg_background_hover": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "color_svg_background_pressed": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "color_svg_background_inactive": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "tabSettings": {
        "es-es": "Ajustes",
        "fr-fr": "Paramètres",
        "de-de": "Einstellungen",
        "en-us": "Settings"
    },
    "trigger_close_button": {
        "es-es": "¿Activar el botón de cierre en la última página?",
        "fr-fr": "Bouton de fermeture du déclencheur sur la dernière page?",
        "de-de": "Schließen-Schaltfläche auf letzter Seite auslösen?",
        "en-us": "Trigger close button on last page?"
    },
    "use_blinking": {
        "es-es": "Parpadeo después de todas las animaciones",
        "fr-fr": "Clignotement après toutes les animations",
        "de-de": "Blinken nach allen Animationen",
        "en-us": "Blinking after all animations"
    },
    "desc_quiz_based_state": {
        "es-es": "Funcionalidad en modo pregunta",
        "fr-fr": "Fonctionnalité en mode question",
        "de-de": "Funktionalität im Fragenmodus",
        "en-us": "Functionality in question mode"
    },
    "deactivate_in_quiz_state": {
        "es-es": "Desactivado",
        "fr-fr": "Désactivé",
        "de-de": "Deaktiviert",
        "en-us": "Disabled"
    },
    "quiz_state_always": {
        "es-es": "Nunca",
        "fr-fr": "Jamais",
        "de-de": "Niemals",
        "en-us": "Never"
    },
    "quiz_state_test_run": {
        "es-es": "Durante la prueba",
        "fr-fr": "Pendant la durée du test",
        "de-de": "In den Durchläufen",
        "en-us": "During test runs"
    },
    "quiz_state_user_solution_test_run": {
        "es-es": "Solución del usuario (Erróneo) y durante la prueba",
        "fr-fr": "Solution utilisateur (Faux) et pendant la durée du test",
        "de-de": "In Auswertung (Falsch) und in den Durchläufen",
        "en-us": "User solution (Wrong) and during test runs"
    },
    "tabAccessibility": {
        "es-es": "Accesibilidad",
        "fr-fr": "Accessibilité",
        "de-de": "Barrierefreiheit",
        "en-us": "Accessibility"
    },
    "aria-label": {
        "es-es": "aria-label",
        "fr-fr": "aria-label",
        "de-de": "aria-label",
        "en-us": "aria-label"
    },
    "exclude-from-tab-control": {
        "es-es": "Excluir del control TAB",
        "fr-fr": "Exclure du contrôle TAB",
        "de-de": "Ausschließen von TAB-Steuerung",
        "en-us": "Exclude from TAB control"
    },
    "tab-order": {
        "es-es": "Orden de las TAB",
        "fr-fr": "Ordre de la TAB",
        "de-de": "TAB-Reihenfolge",
        "en-us": "TAB order"
    },
    "accessibility-key": {
        "es-es": "Botón",
        "fr-fr": "Bouton",
        "de-de": "Taste",
        "en-us": "Button"
    },
    "accessibility-location": {
        "es-es": "Posición",
        "fr-fr": "Position",
        "de-de": "Position",
        "en-us": "Position"
    },
    "top_left": {
        "es-es": "Arriba a la izquierda",
        "fr-fr": "En haut à gauche",
        "de-de": "Oben links",
        "en-us": "Top left"
    },
    "top_right": {
        "es-es": "Parte superior derecha",
        "fr-fr": "En haut à droite",
        "de-de": "Oben rechts",
        "en-us": "Top right"
    },
    "bottom_left": {
        "es-es": "Abajo a la izquierda",
        "fr-fr": "En bas à gauche",
        "de-de": "Unten links",
        "en-us": "Bottom left"
    },
    "bottom_right": {
        "es-es": "Abajo a la derecha",
        "fr-fr": "En bas à droite",
        "de-de": "Unten rechts",
        "en-us": "Bottom right"
    },
    "absolute": {
        "es-es": "Posicionado",
        "fr-fr": "Positionné",
        "de-de": "Positioniert",
        "en-us": "Positioned"
    },
    "accessibility-position-x": {
        "es-es": "X-Posición (px)",
        "fr-fr": "X-Position (px)",
        "de-de": "X-Position (px)",
        "en-us": "X-Position (px)"
    },
    "accessibility-position-y": {
        "es-es": "Y-Posición (px)",
        "fr-fr": "Y-Position (px)",
        "de-de": "Y-Position (px)",
        "en-us": "Y-Position (px)"
    }
};