Version History
=======

#### 8.11.0 (2024-01-11)
* bugfix: Text alignment "center" for various buttons not working in HTML5 (SC-254)

#### 8.10.0 (2023-04-28)
* story: Next should be excluded from tab navigation, if disabled (SC-225)

#### 8.9.0 (2023-02-24)
* story: Next can be disabled during quiz runs (SC-228)

#### 8.8.0 (2023-02-20)
* story: Next can be disabled during quiz runs (SC-228)

#### 8.7.0 (2023-02-15)
* story: Next should be excluded from tab navigation, if disabled (SC-225)

#### 8.6.0 (2022-12-19)
* story: Smartcomponenten fr TAB-Navigation optimieren (SC-214)

#### 8.5.0 (2022-12-19)
* story: Alternative Texte fr ScreenReader (SC-220)

#### 8.4.0 (2022-07-04)
* Presentation mode does not work on simulation steps when "Proceed only via next button" is active (TTPS-24074)

#### 8.3.0 (2022-03-23)
* Mouse movement not visible by click on next button (TTPS-23002)

#### 8.2.0 (2021-11-26)
* Language pt-br and es-ar for tool tips is not maintained (SC-154)

#### 8.1.0 (2021-09-22)
* Position of accessibilty tool tips should be customizable (SC-179)

#### 8.0.0 (2021-09-17)
* Versioning changed according to API version

#### 3.7.0 (2021-08-17)
* Als Autor mchte ich das Blinken der Weiter-Schaltflche optional deaktivieren (SC-167)

#### 3.6.1 (2021-08-03)
* SC Next button blinks in film mode (and before it is supposed to be) (SC-134)

#### 3.6.0 (2021-07-27)
* Einstellungsdialoge der Avatar und Szenen sollten neu organiziert werden (SC-139)

#### 3.5.0 (2021-07-16)
* SC Next doesn't blink with sounds and nested animations (SC-162)

#### 3.4.0 (2021-07-08)
* Accessibility for SmartComponents (SC-159)

#### 3.3.1 (2021-05-12)
* "Must not proceed until all animations have been played" => Document default not considered in HTML5 (TTPS-21390)

#### 3.3.0 (2020-12-07)
* Next button should be inactive, when in interactive page (SC-29)
* Next SC should blink after all animations (SC-72)
* Next button should trigger close dialog on last page (SC-115)

#### 3.2.1 (2019-10-11)
* the size of the SmartComponent will be automatically calculated when a image file is used (TTPS-15257)

#### 3.2.0 (2019-08-01)
* event registration for "move" and "release" moved to api due to errors in previewmode (TTPS-16130)
 
#### 3.1.0 (2018-08-02)
* event registration moved to api (TTPS-12842)
 
#### 1.2.0 (2017-12-27)
* translations for all content languages added
* svg (standard) display option added
 
#### 1.1.0 (2016-11-29)
* apply button to ui dialog added (TTPS-7405)

#### 1.0.0 (2016-05-12)
* initial version
