{
  "fileName": "component.js",
  "category": {
    "de-de": "tts Lernprogrammsteuerung",
    "en-us": "tts tutorial control",
    "es-es": "Control del tutorial tts",
    "fr-fr": "barre de navigation tts"
  },
  "name": {
    "de-de": "Abspielmodus-Schaltfläche",
    "en-us": "Play mode button",
    "es-es": "Botón de modo de reproducción",
    "fr-fr": "Bouton de mode de lecture"
  },
  "version": {
    "major": "8",
    "minor": "2",
    "revision": "1",
    "build": "202401150845DEV"
  },
  "apiVersion": {
    "major": "2",
    "minor": "8",
    "revision": "0"
  },
  "events": [],
  "parameter": {
    "com.tts": {
      "left": "100",
      "top": "100",
      "width": "50",
      "height": "50",
      "scaling_mode": "fixed",
      "description": "Play mode button"
    },
    "menu_width": "200",
    "menu_height": "64",
    "menu_location": "1",
    "menu_position_x": "0",
    "menu_position_y": "0",
    "border_color": "#999999",
    "border_width": "2",
    "border_transparency": "0",
    "fill_color": "#ffffff",
    "fill_color_transparency": "0",
    "separator_color": "#d1d1d1",
    "separator_width": "2",
    "separator_transparency": "0",
    "bg_image": "",
    "marker_image": "",
    "font_family": "0",
    "font_size": "14",
    "text_color": "#142534",
    "text_hover_color": "#fd7326",
    "text_background_color": "#FD7E2F",
    "text_background_hover_color": "#FD7E2F",
    "padding_left": "10",
    "padding_right": "10",
    "padding_top": "2",
    "padding_bottom": "2",
    "accessibility-key-mode": "KeyM",
    "accessibility-key-interactive": "KeyK",
    "accessibility-key-presentation": "KeyD",
    "accessibility-key-film": "KeyF",
    "accessibility-location": "1",
    "accessibility-position-x": "0",
    "accessibility-position-y": "0",
    "de-de": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "fr-fr": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "es-es": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "en-us": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "it-it": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "bg-bg": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "ca-es": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "cs-cz": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "da-dk": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "de-at": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "de-ch": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "el-gr": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "en-gb": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "en-ie": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "eo-de": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "es-ar": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "et-ee": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "eu-es": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "fi-fi": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "fr-be": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "hi-in": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "hr-hr": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "hu-hu": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "ja-jp": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "ko-kr": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "lt-lt": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "mk-mk": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "mn-mn": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "ms-id": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "nl-be": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "nl-nl": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "no-no": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "pl-pl": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "pt-br": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "pt-pt": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "ro-ro": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "ru-ru": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "sk-sk": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "sl-si": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "sr-rs": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "sv-se": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "th-th": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "tr-tr": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "zh-cn": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "zh-tw": {
      "text_interactive": "",
      "text_presentation": "",
      "text_film": "",
      "tooltip": ""
    },
    "show_menu_in_authoring_mode": "false"
  }
}