{
  "fileName": "component.js",
  "category": {
    "de-de": "tts Quiz",
    "en-us": "tts quiz",
    "es-es": "Ejercicio tts",
    "fr-fr": "Quiz tts"
  },
  "name": {
    "de-de": "Drag and Drop Source Element: Autoform",
    "en-us": "Drag and drop source element: autoshape",
    "es-es": "Arrastrar y soltar el elemento de origen: Autoforma",
    "fr-fr": "Glisser-déposer l'élément source : forme automatique"
  },
  "version": {
    "major": "8",
    "minor": "1",
    "revision": "1",
    "build": "202401150845DEV"
  },
  "apiVersion": {
    "major": "2",
    "minor": "8",
    "revision": "0"
  },
  "events": {
    "tg_us_correct": {
      "de-de": "Element richtig zugeordnet",
      "en-us": "Element correctly assigned",
      "es-es": "Elemento correctamente asignado",
      "fr-fr": "Élément correctement attribué"
    },
    "tg_us_wrong": {
      "de-de": "Element falsch zugeordnet",
      "en-us": "Element incorrectly assigned",
      "es-es": "Elemento asignado incorrectamente",
      "fr-fr": "Élément mal attribué"
    },
    "tg_us": {
      "de-de": "Lösung des Benutzers",
      "en-us": "User solution",
      "es-es": "Solución del usuario",
      "fr-fr": "Solution utilisateur"
    },
    "tg_bps": {
      "de-de": "Musterlösung",
      "en-us": "Sample solution",
      "es-es": "Solución",
      "fr-fr": "Echantillon de la solution"
    }
  },
  "parameter": {
    "com.tts": {
      "left": "100",
      "top": "100",
      "width": "150",
      "height": "70",
      "scaling_mode": "full",
      "description": "Drag and drop source element: autoshape"
    },
    "padding-left": "15",
    "padding-right": "15",
    "padding-top": "15",
    "text_orientation": "center",
    "font-size": "14",
    "color": "#919191",
    "font-family": "1",
    "z_index_always_on_top": "true",
    "different-assessment-design": "false",
    "border-color": "#98a7b5",
    "border-color-correct": "#74b65b",
    "border-color-incorrect": "#fd7326",
    "border-color-best-solution": "#74b65b",
    "border-size": "2",
    "border-transparency": "0",
    "border-color-am": "#98a7b5",
    "border-color-correct-am": "#74b65b",
    "border-color-incorrect-am": "#fd7326",
    "border-color-best-solution-am": "#74b65b",
    "border-size-am": "2",
    "border-transparency-am": "0",
    "background-color": "#cccccc",
    "background-color-correct": "#cccccc",
    "background-color-incorrect": "#cccccc",
    "background-color-best-solution": "#cccccc",
    "background-transparency": "0",
    "background-color-am": "#cccccc",
    "background-color-correct-am": "#cccccc",
    "background-color-incorrect-am": "#cccccc",
    "background-color-best-solution-am": "#cccccc",
    "background-transparency-am": "0",
    "bg_image": "",
    "bg_image_assessment": "",
    "bg_width": "0",
    "bg_height": "0",
    "target_1": "false",
    "target_2": "false",
    "target_3": "false",
    "target_4": "false",
    "target_5": "false",
    "target_6": "false",
    "target_7": "false",
    "target_8": "false",
    "target_9": "false",
    "target_10": "false",
    "target_11": "false",
    "target_12": "false",
    "target_13": "false",
    "target_14": "false",
    "target_15": "false",
    "target_16": "false",
    "target_17": "false",
    "target_18": "false",
    "target_19": "false",
    "target_20": "false",
    "de-de": {
      "text": "Drag & Drop Source"
    },
    "fr-fr": {
      "text": "Source du glisser-déposer"
    },
    "es-es": {
      "text": "Origen Arrastrar & Soltar"
    },
    "en-us": {
      "text": "Drag & drop source"
    },
    "it-it": {
      "text": "Drag & drop source"
    },
    "bg-bg": {
      "text": "Drag & drop source"
    },
    "ca-es": {
      "text": "Drag & drop source"
    },
    "cs-cz": {
      "text": "Drag & drop source"
    },
    "da-dk": {
      "text": "Drag & drop source"
    },
    "de-at": {
      "text": "Drag & drop source"
    },
    "de-ch": {
      "text": "Drag & drop source"
    },
    "el-gr": {
      "text": "Drag & drop source"
    },
    "en-gb": {
      "text": "Drag & drop source"
    },
    "en-ie": {
      "text": "Drag & drop source"
    },
    "eo-de": {
      "text": "Drag & drop source"
    },
    "es-ar": {
      "text": "Drag & drop source"
    },
    "et-ee": {
      "text": "Drag & drop source"
    },
    "eu-es": {
      "text": "Drag & drop source"
    },
    "fi-fi": {
      "text": "Drag & drop source"
    },
    "fr-be": {
      "text": "Drag & drop source"
    },
    "hi-in": {
      "text": "Drag & drop source"
    },
    "hr-hr": {
      "text": "Drag & drop source"
    },
    "hu-hu": {
      "text": "Drag & drop source"
    },
    "ja-jp": {
      "text": "Drag & drop source"
    },
    "ko-kr": {
      "text": "Drag & drop source"
    },
    "lt-lt": {
      "text": "Drag & drop source"
    },
    "mk-mk": {
      "text": "Drag & drop source"
    },
    "mn-mn": {
      "text": "Drag & drop source"
    },
    "ms-id": {
      "text": "Drag & drop source"
    },
    "nl-be": {
      "text": "Drag & drop source"
    },
    "nl-nl": {
      "text": "Drag & drop source"
    },
    "no-no": {
      "text": "Drag & drop source"
    },
    "pl-pl": {
      "text": "Drag & drop source"
    },
    "pt-br": {
      "text": "Drag & drop source"
    },
    "pt-pt": {
      "text": "Drag & drop source"
    },
    "ro-ro": {
      "text": "Drag & drop source"
    },
    "ru-ru": {
      "text": "Drag & drop source"
    },
    "sk-sk": {
      "text": "Drag & drop source"
    },
    "sl-si": {
      "text": "Drag & drop source"
    },
    "sr-rs": {
      "text": "Drag & drop source"
    },
    "sv-se": {
      "text": "Drag & drop source"
    },
    "th-th": {
      "text": "Drag & drop source"
    },
    "tr-tr": {
      "text": "Drag & drop source"
    },
    "zh-cn": {
      "text": "Drag & drop source"
    },
    "zh-tw": {
      "text": "Drag & drop source"
    }
  }
}