var texts = {
    "com.tts": {
        "description": {
            "es-es": "Descripción",
            "fr-fr": "Description",
            "de-de": "Beschreibung",
            "en-us": "Description"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "caption": {
        "es-es": "Arrastrar y soltar elemento destino: autoforma",
        "fr-fr": "Glisser déposer l'élément source: forme automatique",
        "de-de": "Drag and Drop Target Element: Autoform",
        "en-us": "Drag and drop target element: autoshape"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    },

    "tabAutoform": {
        "es-es": "Borde y fondo",
        "fr-fr": "Bordure et arrière-plan",
        "de-de": "Rahmen und Füllung",
        "en-us": "Border and background"
    },
    "borderParamsDesc": {
        "es-es": "Borde",
        "fr-fr": "Bordure",
        "de-de": "Linie",
        "en-us": "Border"
    },
    "border-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "border-size": {
        "es-es": "Tamaño",
        "fr-fr": "Taille",
        "de-de": "Stärke",
        "en-us": "Size"
    },
    "border-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "backgroundParamsDesc": {
        "es-es": "Fondo",
        "fr-fr": "Arrière-plan",
        "de-de": "Füllung",
        "en-us": "Background"
    },
    "background-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "background-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },

    "tabAutoformAM": {
        "es-es": "Borde y fondo (Evaluación)",
        "fr-fr": "Bordure et arrière-plan (Évaluation)",
        "de-de": "Rahmen und Füllung (Assessment)",
        "en-us": "Border and background (Assessment)"
    },
    "border-color-am": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "border-size-am": {
        "es-es": "Tamaño",
        "fr-fr": "Taille",
        "de-de": "Stärke",
        "en-us": "Size"
    },
    "border-transparency-am": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "background-color-am": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "background-transparency-am": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },

    "tabGraphic": {
        "es-es": "Imagen de fondo",
        "fr-fr": "Image d'arrière-plan",
        "de-de": "Hintergrundgrafik",
        "en-us": "Background image"
    },
    "bg_image": {
        "es-es": "Imagen de fondo (2 estados)",
        "fr-fr": "Image d'arrière-plan (2 états)",
        "de-de": "Hintergrundgrafik (2 Zustände)",
        "en-us": "Background image (2 states)"
    },
    "bg_image_description": {
        "es-es": "La imagen de fondo tiene un ancho de # ancho px y una altura de # altura px.",
        "fr-fr": "L'image d'arrière-plan a une largeur de #width px et une hauteur de #height px.",
        "de-de": "Die Hintergrundgrafik hat einen Breite von #width (Px) und eine Höhe von #height (Px).",
        "en-us": "The background image has a width of #width px and a height of #height px."
    },
    "desc_bg_image_assessment": {
        "es-es": "Diferentes gr&aacute;ficos de fondo para el modo de evaluaci&oacute;n",
        "fr-fr": "Diff&eacute;rents graphiques de fond pour le mode d&apos;&eacute;valuation",
        "de-de": "Abweichende Hintergrundgrafik für den Assessmentmodus",
        "en-us": "Different background graphics for assessment mode"
    },
    "bg_image_assessment": {
        "es-es": "Imagen de fondo (2 estados)",
        "fr-fr": "Image d'arrière-plan (2 états)",
        "de-de": "Hintergrundgrafik (2 Zustände)",
        "en-us": "Background image (2 states)"
    },
    "bg_image_assessment_description": {
        "es-es": "La imagen de fondo tiene un ancho de #width_assessment ancho px y una altura de #height_assessment altura px.",
        "fr-fr": "L'image d'arrière-plan a une largeur de #width_assessment px et une hauteur de #height_assessment px.",
        "de-de": "Die Hintergrundgrafik hat einen Breite von #width_assessment (Px) und eine Höhe von #height_assessment (Px).",
        "en-us": "The background image has a width of #width_assessment px and a height of #heigh_assessmentt px."
    },

    "tabAlignment": {
        "es-es": "Alineación",
        "fr-fr": "Alignement",
        "de-de": "Anordnung",
        "en-us": "Alignment"
    },
    "offset-top": {
        "es-es": "Offset superior de <br />el primer elemento de origen (px)",
        "fr-fr": "Décalage supérieur du <br />premier élément source (px)",
        "de-de": "Oberer Abstand <br />des 1. Source-Elements (Px)",
        "en-us": "Top offset of <br />the first source element (px)"
    },
    "offset-left": {
        "es-es": "Offset izquierda de <br />los elementos de origen (px)",
        "fr-fr": "Décalage à gauche <br />des éléments sources (px)",
        "de-de": "Linker Abstand <br />der Source-Elemente (Px)",
        "en-us": "Left offset of <br />the source elements (px)"
    },
    "entry-space": {
        "es-es": "Distancia entre <br />los elementos de origen (px)",
        "fr-fr": "Distance entre <br />les éléments sources (px)",
        "de-de": "Abstand zwischen <br />den Source-Elementen (Px)",
        "en-us": "Distance between <br />the source elements (px)"
    },

    "tabText": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "text": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "font-family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (autre: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (autre: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (autre: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (autre: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "font-size": {
        "es-es": "Tamaño de la fuente",
        "fr-fr": "Taille de police",
        "de-de": "Schriftgrad",
        "en-us": "Font size"
    },
    "color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "text_orientation": {
        "es-es": "Alineación del texto",
        "fr-fr": "Alignement du texte",
        "de-de": "Text Ausrichtung",
        "en-us": "Text alignment"
    },
    "left": {
        "es-es": "izquierda",
        "fr-fr": "gauche",
        "de-de": "Linksbündig",
        "en-us": "left"
    },
    "center": {
        "es-es": "centro",
        "fr-fr": "centre",
        "de-de": "Zentriert",
        "en-us": "center"
    },
    "right": {
        "es-es": "derecha",
        "fr-fr": "droite",
        "de-de": "Rechtsbündig",
        "en-us": "right"
    },
    "padding-left": {
        "es-es": "Relleno interior izquierdo (px)",
        "fr-fr": "Tabulation à gauche (px)",
        "de-de": "Innerer Rand links (Px)",
        "en-us": "Inner padding left (px)"
    },
    "padding-right": {
        "es-es": "Relleno interior derecho (px)",
        "fr-fr": "Tabulation à droite (px)",
        "de-de": "Innerer Rand rechts (Px)",
        "en-us": "Inner padding right (px)"
    },
    "padding-top": {
        "es-es": "Relleno interior superior (px)",
        "fr-fr": "Tabulation en haut (px)",
        "de-de": "Innerer Rand oben (Px)",
        "en-us": "Inner padding top (px)"
    },

    "tabSettings": {
        "es-es": "Ajustes",
        "fr-fr": "Paramètres",
        "de-de": "Einstellungen",
        "en-us": "Settings"
    },
    "different-assessment-design": {
        "es-es": "Dise&ntilde;o desviado para el modo de evaluaci&oacute;n",
        "fr-fr": "Conception diff&eacute;rente pour le mode d&apos;&eacute;valuation",
        "de-de": "Abweichendes Design für den Assessmentmodus",
        "en-us": "Different design for the assessment mode"
    },

    "tabTargets": {
        "es-es": "Destinos asignados",
        "fr-fr": "Cibles assignées",
        "de-de": "Zuordnung Ziele",
        "en-us": "Assigned targets"
    },
    "targets_description": {
        "es-es": "Seleccione la ID de este destino.",
        "fr-fr": "Sélectionnez l'ID de cette cible.",
        "de-de": "Legen Sie hier fest, welche ID das Ziel hat.",
        "en-us": "Select the ID of this target."
    },
    "target_id": {
        "es-es": "ID de destino",
        "fr-fr": "ID cible",
        "de-de": "Ziel-ID",
        "en-us": "Target ID"
    },
    "t_1": {
        "es-es": "Destino 1",
        "fr-fr": "Cible 1",
        "de-de": "Ziel 1",
        "en-us": "Target 1"
    },
    "t_2": {
        "es-es": "Destino 2",
        "fr-fr": "Cible 2",
        "de-de": "Ziel 2",
        "en-us": "Target 2"
    },
    "t_3": {
        "es-es": "Destino 3",
        "fr-fr": "Cible 3",
        "de-de": "Ziel 3",
        "en-us": "Target 3"
    },
    "t_4": {
        "es-es": "Destino 4",
        "fr-fr": "Cible 4",
        "de-de": "Ziel 4",
        "en-us": "Target 4"
    },
    "t_5": {
        "es-es": "Destino 5",
        "fr-fr": "Cible 5",
        "de-de": "Ziel 5",
        "en-us": "Target 5"
    },
    "t_6": {
        "es-es": "Destino 6",
        "fr-fr": "Cible 6",
        "de-de": "Ziel 6",
        "en-us": "Target 6"
    },
    "t_7": {
        "es-es": "Destino 7",
        "fr-fr": "Cible 7",
        "de-de": "Ziel 7",
        "en-us": "Target 7"
    },
    "t_8": {
        "es-es": "Destino 8",
        "fr-fr": "Cible 8",
        "de-de": "Ziel 8",
        "en-us": "Target 8"
    },
    "t_9": {
        "es-es": "Destino 9",
        "fr-fr": "Cible 9",
        "de-de": "Ziel 9",
        "en-us": "Target 9"
    },
    "t_10": {
        "es-es": "Destino 10",
        "fr-fr": "Cible 10",
        "de-de": "Ziel 10",
        "en-us": "Target 10"
    },
    "t_11": {
        "es-es": "Destino 11",
        "fr-fr": "Cible 11",
        "de-de": "Ziel 11",
        "en-us": "Target 11"
    },
    "t_12": {
        "es-es": "Destino 12",
        "fr-fr": "Cible 12",
        "de-de": "Ziel 12",
        "en-us": "Target 12"
    },
    "t_13": {
        "es-es": "Destino 13",
        "fr-fr": "Cible 13",
        "de-de": "Ziel 13",
        "en-us": "Target 13"
    },
    "t_14": {
        "es-es": "Destino 14",
        "fr-fr": "Cible 14",
        "de-de": "Ziel 14",
        "en-us": "Target 14"
    },
    "t_15": {
        "es-es": "Destino 15",
        "fr-fr": "Cible 15",
        "de-de": "Ziel 15",
        "en-us": "Target 15"
    },
    "t_16": {
        "es-es": "Destino 16",
        "fr-fr": "Cible 16",
        "de-de": "Ziel 16",
        "en-us": "Target 16"
    },
    "t_17": {
        "es-es": "Destino 17",
        "fr-fr": "Cible 17",
        "de-de": "Ziel 17",
        "en-us": "Target 17"
    },
    "t_18": {
        "es-es": "Destino 18",
        "fr-fr": "Cible 18",
        "de-de": "Ziel 18",
        "en-us": "Target 18"
    },
    "t_19": {
        "es-es": "Destino 19",
        "fr-fr": "Cible 19",
        "de-de": "Ziel 19",
        "en-us": "Target 19"
    },
    "t_20": {
        "es-es": "Destino 20",
        "fr-fr": "Cible 20",
        "de-de": "Ziel 20",
        "en-us": "Target 20"
    },
    "disallow_multiple_sources": {
        "es-es": "solo elemento de origen único",
        "fr-fr": "élément source unique seulement",
        "de-de": "nur ein Source-Element zulassen",
        "en-us": "single source-element only"
    }
};
