var texts = {
    "com.tts": {
        "description": {
            "es-es": "Descripción",
            "fr-fr": "Description",
            "de-de": "Beschreibung",
            "en-us": "Description"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "tabAutoform": {
        "es-es": "Borde y fondo",
        "fr-fr": "Bordure et arrière-plan",
        "de-de": "Rahmen und Füllung",
        "en-us": "Border and background"
    },
    "tabText": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "tabSettings": {
        "es-es": "Ajustes",
        "fr-fr": "Paramètres",
        "de-de": "Einstellungen",
        "en-us": "Settings"
    },
    "auto-adjust-height": {
        "es-es": "Ajustar la altura total a la altura del texto",
        "fr-fr": "Ajuster la hauteur totale à la hauteur du texte",
        "de-de": "Gesamthöhe an Texthöhe anpassen",
        "en-us": "Adjust total height to text height"
    },
    "yes": {
        "es-es": "Sí",
        "fr-fr": "Oui",
        "de-de": "Ja",
        "en-us": "Yes"
    },
    "no": {
        "es-es": "No",
        "fr-fr": "Non",
        "de-de": "Nein",
        "en-us": "No"
    },
    "degree": {
        "es-es": "Rotación (°)",
        "fr-fr": "Rotation (°)",
        "de-de": "Drehung (°)",
        "en-us": "Rotation (°)"
    },
    "text": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "borderParamsDesc": {
        "es-es": "Borde",
        "fr-fr": "Bordure",
        "de-de": "Linie",
        "en-us": "Border"
    },
    "backgroundParamsDesc": {
        "es-es": "Fondo",
        "fr-fr": "Arrière-plan",
        "de-de": "Füllung",
        "en-us": "Background"
    },
    "padding-left": {
        "es-es": "Relleno interior izquierdo (px)",
        "fr-fr": "Tabulation à gauche (px)",
        "de-de": "Innerer Rand links (Px)",
        "en-us": "Inner padding left (px)"
    },
    "padding-right": {
        "es-es": "Relleno interior derecho (px)",
        "fr-fr": "Tabulation à droite (px)",
        "de-de": "Innerer Rand rechts (Px)",
        "en-us": "Inner padding right (px)"
    },
    "padding-top": {
        "es-es": "Relleno interior superior (px)",
        "fr-fr": "Tabulation en haut (px)",
        "de-de": "Innerer Rand oben (Px)",
        "en-us": "Inner padding top (px)"
    },
    "padding-bottom": {
        "es-es": "Relleno interior abajo (px)",
        "fr-fr": "Tabulation vers le bas (px)",
        "de-de": "Innerer Rand unten (Px)",
        "en-us": "Inner padding down (px)"
    },
    "border-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "border-size": {
        "es-es": "Tamaño",
        "fr-fr": "Taille",
        "de-de": "Stärke",
        "en-us": "Size"
    },
    "border-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "background-color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "background-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "font-size": {
        "es-es": "Tamaño de la fuente",
        "fr-fr": "Taille de police",
        "de-de": "Schriftgrad",
        "en-us": "Font size"
    },
    "color": {
        "es-es": "Color",
        "fr-fr": "Couleur",
        "de-de": "Farbe",
        "en-us": "Color"
    },
    "font-family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (autre: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (autre: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (autre: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (autre: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "bold": {
        "es-es": "Audaz",
        "fr-fr": "Audacieux",
        "de-de": "Fett",
        "en-us": "Bold"
    },
    "italic": {
        "es-es": "Itálico",
        "fr-fr": "Italique",
        "de-de": "Kursiv",
        "en-us": "Italic"
    },
    "underline": {
        "es-es": "Subrayado",
        "fr-fr": "Souligné",
        "de-de": "Unterstrichen",
        "en-us": "Underlined"
    },
    "text_orientation": {
        "es-es": "Alineación del texto",
        "fr-fr": "Alignement du texte",
        "de-de": "Text Ausrichtung",
        "en-us": "Text alignment"
    },
    "left": {
        "es-es": "izquierda",
        "fr-fr": "gauche",
        "de-de": "linksbündig",
        "en-us": "left"
    },
    "center": {
        "es-es": "centro",
        "fr-fr": "centre",
        "de-de": "zentriert",
        "en-us": "center"
    },
    "right": {
        "es-es": "derecha",
        "fr-fr": "droite",
        "de-de": "rechtsbündig",
        "en-us": "right"
    },
    "caption": {
        "de-de": "Drehbare Textbox",
        "en-us": "Rotatable textbox",
        "es-es": "Cuadro de texto rotativo",
        "fr-fr": "Zone de texte rotative"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    }
};