{
  "fileName": "component.js",
  "category": {
    "de-de": "tts Lernprogrammsteuerung",
    "en-us": "tts tutorial control",
    "es-es": "Control del tutorial tts",
    "fr-fr": "barre de navigation tts"
  },
  "name": {
    "de-de": "Sitemap v2",
    "en-us": "Sitemap v2",
    "es-es": "Sitemap v2",
    "fr-fr": "Sitemap v2"
  },
  "version": {
    "major": "8",
    "minor": "8",
    "revision": "1",
    "build": "202401150845DEV"
  },
  "apiVersion": {
    "major": "2",
    "minor": "8",
    "revision": "0"
  },
  "parameter": {
    "com.tts": {
      "left": "100",
      "top": "100",
      "width": "50",
      "height": "50",
      "scaling_mode": "fixed",
      "description": "Sitemap v2"
    },
    "use_svg": "false",
    "color_svg_icon_default": "#ffffff",
    "color_svg_icon_hover": "#ffffff",
    "color_svg_icon_pressed": "#ffffff",
    "color_svg_icon_inactive": "#a9a9a9",
    "color_svg_background_default": "#707070",
    "color_svg_background_hover": "#fd7e2f",
    "color_svg_background_pressed": "#df7a3b",
    "color_svg_background_inactive": "#707070",
    "color_svg_marker": "#fd7326",
    "color_svg_icon": "#999999",
    "color_svg_visited": "#ffffff",
    "bg_image": "",
    "marker_image": "",
    "icons_image": "",
    "visited_image": "",
    "padding-left": "0",
    "padding-right": "0",
    "padding-top": "2",
    "padding-bottom": "2",
    "cut_titles": "false",
    "font-size": "14",
    "section_text_color": "#142534",
    "page_text_color": "#142534",
    "section_hover_color": "#fd7326",
    "page_hover_color": "#fd7326",
    "font-family": "1",
    "border_color": "#999999",
    "border_width": "2",
    "borderTransparency": "0",
    "fill_color": "#ffffff",
    "fillColorTransparency": "0",
    "separator_color": "#d1d1d1",
    "separator_width": "2",
    "separatorTransparency": "0",
    "sitemap_width": "300",
    "sitemap_height": "500",
    "sitemap_location": "5",
    "sitemapPositionX": "0",
    "sitemapPositionY": "0",
    "show_sitemap_in_authoring_mode": "false",
    "show_visited": "false",
    "exclude-from-tab-control": "false",
    "tab-order": "",
    "accessibility-key": "KeyS",
    "accessibility-location": "1",
    "accessibility-position-x": "0",
    "accessibility-position-y": "0",
    "de-de": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "fr-fr": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "es-es": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "en-us": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "it-it": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "bg-bg": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "ca-es": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "cs-cz": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "da-dk": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "de-at": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "de-ch": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "el-gr": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "en-gb": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "en-ie": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "eo-de": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "es-ar": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "et-ee": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "eu-es": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "fi-fi": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "fr-be": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "hi-in": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "hr-hr": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "hu-hu": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "ja-jp": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "ko-kr": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "lt-lt": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "mk-mk": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "mn-mn": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "ms-id": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "nl-be": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "nl-nl": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "no-no": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "pl-pl": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "pt-br": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "pt-pt": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "ro-ro": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "ru-ru": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "sk-sk": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "sl-si": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "sr-rs": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "sv-se": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "th-th": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "tr-tr": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "zh-cn": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    },
    "zh-tw": {
      "tooltip": "",
      "tooltip-close": "",
      "aria-label": "",
      "aria-label-close": ""
    }
  }
}