var texts = {
    "com.tts": {
        "description": {
            "es-es": "Descripción",
            "fr-fr": "Description",
            "de-de": "Beschreibung",
            "en-us": "Description"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "caption": {
        "es-es": "EmisorReceptor - contador",
        "fr-fr": "SenderListener - compte",
        "de-de": "SenderListener - Zähler",
        "en-us": "SenderListener - counter"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    },
    "tabOptions": {
        "es-es": "Opciones",
        "fr-fr": "Options",
        "de-de": "Optionen",
        "en-us": "Options"
    },
    "tabSender": {
        "es-es": "Emisor",
        "fr-fr": "Envoi",
        "de-de": "Sender",
        "en-us": "Sender"
    },
    "tabListener": {
        "es-es": "Receptor",
        "fr-fr": "Ecoute",
        "de-de": "Empfänger",
        "en-us": "Listener"
    },
    "id": {
        "es-es": "ID",
        "fr-fr": "ID",
        "de-de": "ID",
        "en-us": "ID"
    },
    "toggled": {
        "es-es": "Alternar (Emisor)",
        "fr-fr": "Bacsuler (envoi)",
        "de-de": "Toggle (Sender)",
        "en-us": "Toggle (Sender)"
    },
    "type": {
        "es-es": "Tipo",
        "fr-fr": "Type",
        "de-de": "Typ",
        "en-us": "Type"
    },
    "type_sender": {
        "es-es": "Emisor",
        "fr-fr": "Envoi",
        "de-de": "Sender",
        "en-us": "Sender"
    },
    "type_listener": {
        "es-es": "Receptor",
        "fr-fr": "Ecoute",
        "de-de": "Empfänger",
        "en-us": "Listener"
    },
    "behaviour": {
        "es-es": "Enviar",
        "fr-fr": "Envoyer",
        "de-de": "Senden",
        "en-us": "Send"
    },
    "behaviour_once": {
        "es-es": "una vez: en el primer clic",
        "fr-fr": "Depuis : au premier clic",
        "de-de": "einmal: nur beim ersten Klick",
        "en-us": "once: on first click"
    },
    "behaviour_indefinite": {
        "es-es": "indefinido: en cada clic",
        "fr-fr": "Indéfini : à chaque clic",
        "de-de": "mehrmals: bei jedem Klick",
        "en-us": "indefinite: on every click"
    },
    "maximum": {
        "es-es": "Máximo",
        "fr-fr": "Maximum",
        "de-de": "Maximum",
        "en-us": "Maximum"
    },
    "font_family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (autre: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (autre: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (autre: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (autre: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "font_size": {
        "es-es": "Tamaño de la fuente",
        "fr-fr": "Taille de police",
        "de-de": "Schriftgrad",
        "en-us": "Font size"
    },
    "color": {
        "es-es": "Color del texto",
        "fr-fr": "Couleur du texte",
        "de-de": "Textfarbe",
        "en-us": "Color of text"
    },
    "text_orientation": {
        "es-es": "Alineación horizontal del texto",
        "fr-fr": "Alignement horizontal du texte",
        "de-de": "Bündig ausrichten",
        "en-us": "Text horizontal alignment"
    },
    "left": {
        "es-es": "izquierda",
        "fr-fr": "gauche",
        "de-de": "Linksbündig",
        "en-us": "left"
    },
    "center": {
        "es-es": "centro",
        "fr-fr": "centre",
        "de-de": "Zentriert",
        "en-us": "center"
    },
    "right": {
        "es-es": "derecha",
        "fr-fr": "droite",
        "de-de": "Rechtsbündig",
        "en-us": "right"
    },
    "cursor": {
        "es-es": "Cursor cuando está suspendido",
        "fr-fr": "Curseur au sorvol",
        "de-de": "Mauszeiger bei Hover",
        "en-us": "Cursor when hovered"
    },
    "cusror_default": {
        "es-es": "Por defecto",
        "fr-fr": "Défaut",
        "de-de": "Standard",
        "en-us": "Default"
    },
    "cursor_pointer": {
        "es-es": "Puntero",
        "fr-fr": "Pointer",
        "de-de": "Hand",
        "en-us": "Pointer"
    },
    "cursor_crosshair": {
        "es-es": "Cruz",
        "fr-fr": "Crosshair",
        "de-de": "Kreuz",
        "en-us": "Crosshair"
    },
    "cursor_help": {
        "es-es": "Ayuda",
        "fr-fr": "Aide",
        "de-de": "Hilfe",
        "en-us": "Help"
    },
    "cursor_wait": {
        "es-es": "Esperando",
        "fr-fr": "En attente",
        "de-de": "Wartend",
        "en-us": "Waiting"
    },
    "cursor_text": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "cursor_move": {
        "es-es": "Movimiento",
        "fr-fr": "Déplacement",
        "de-de": "Bewegen",
        "en-us": "Move"
    }
};