{
  "fileName": "component.js",
  "category": {
    "de-de": "tts Lernprogrammsteuerung",
    "en-us": "tts tutorial control",
    "es-es": "Control del tutorial tts",
    "fr-fr": "barre de navigation tts"
  },
  "name": {
    "de-de": "Ton an - aus",
    "en-us": "Sound on - off",
    "es-es": "Sonido encendido - apagado"
  },
  "version": {
    "major": "8",
    "minor": "7",
    "revision": "1",
    "build": "202402060747DEV"
  },
  "apiVersion": {
    "major": "2",
    "minor": "8",
    "revision": "0"
  },
  "events": {
    "tg_audioon": {
      "de-de": "Off -> On",
      "en-us": "Off -> On",
      "es-es": "Off -> On",
      "fr-fr": "Off -> On"
    },
    "tg_audiooff": {
      "de-de": "On -> Off",
      "en-us": "On -> Off",
      "es-es": "On -> Off",
      "fr-fr": "On -> Off"
    }
  },
  "parameter": {
    "com.tts": {
      "left": "100",
      "top": "100",
      "width": "50",
      "height": "50",
      "scaling_mode": "fixed",
      "description": "Sound on - off"
    },
    "use_svg": "false",
    "color_svg_icon_default": "#ffffff",
    "color_svg_icon_hover": "#ffffff",
    "color_svg_icon_pressed": "#ffffff",
    "color_svg_icon_inactive": "#a9a9a9",
    "color_svg_background_default": "#707070",
    "color_svg_background_hover": "#fd7e2f",
    "color_svg_background_pressed": "#df7a3b",
    "color_svg_background_inactive": "#707070",
    "bg_image": "",
    "padding-left": "10",
    "padding-right": "10",
    "padding-top": "10",
    "padding-bottom": "10",
    "text_orientation": "center",
    "text_vertical_align": "middle",
    "font-size": "14",
    "color": "#919191",
    "font-family": "1",
    "exclude-from-tab-control": "false",
    "tab-order": "",
    "accessibility-key": "KeyJ",
    "accessibility-location": "1",
    "accessibility-position-x": "0",
    "accessibility-position-y": "0",
    "de-de": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "fr-fr": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "es-es": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "en-us": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "it-it": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "bg-bg": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "ca-es": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "cs-cz": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "da-dk": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "de-at": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "de-ch": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "el-gr": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "en-gb": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "en-ie": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "eo-de": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "es-ar": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "et-ee": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "eu-es": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "fi-fi": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "fr-be": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "hi-in": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "hr-hr": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "hu-hu": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "ja-jp": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "ko-kr": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "lt-lt": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "mk-mk": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "mn-mn": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "ms-id": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "nl-be": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "nl-nl": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "no-no": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "pl-pl": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "pt-br": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "pt-pt": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "ro-ro": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "ru-ru": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "sk-sk": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "sl-si": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "sr-rs": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "sv-se": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "th-th": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "tr-tr": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "zh-cn": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    },
    "zh-tw": {
      "text": "",
      "aria-label": "",
      "aria-label-off": ""
    }
  }
}