var texts = {
    "com.tts": {
        "description": {
            "es-es": "Nombre",
            "fr-fr": "Nom",
            "de-de": "Name",
            "en-us": "Name"
        },
        "width": {
            "es-es": "Ancho",
            "fr-fr": "Largeur",
            "de-de": "Breite",
            "en-us": "Width"
        },
        "height": {
            "es-es": "Alto",
            "fr-fr": "Hauteur",
            "de-de": "Höhe",
            "en-us": "Height"
        }
    },
    "caption": {
        "es-es": "Button (text)",
        "fr-fr": "Button (text)",
        "de-de": "Schaltfläche (Text)",
        "en-us": "Button (text)"
    },
    "okButton": {
        "es-es": "OK",
        "fr-fr": "OK",
        "de-de": "OK",
        "en-us": "OK"
    },
    "applyButton": {
        "es-es": "Aplicar",
        "fr-fr": "Appliquer",
        "de-de": "Übernehmen",
        "en-us": "Apply"
    },
    "cancelButton": {
        "es-es": "Cancelar",
        "fr-fr": "Annuler",
        "de-de": "Abbrechen",
        "en-us": "Cancel"
    },
    "tabText": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "tabDesign": {
        "es-es": "Diseño",
        "fr-fr": "Concevoir",
        "de-de": "Design",
        "en-us": "Design"
    },
    "tabSettings": {
        "es-es": "Ajustes",
        "fr-fr": "Paramètres",
        "de-de": "Einstellungen",
        "en-us": "Settings"
    },
    "tabAccessibility": {
        "es-es": "Accesibilidad",
        "fr-fr": "Accessibilité",
        "de-de": "Barrierefreiheit",
        "en-us": "Accessibility"
    },
    "text": {
        "es-es": "Texto",
        "fr-fr": "Texte",
        "de-de": "Text",
        "en-us": "Text"
    },
    "padding-left": {
        "es-es": "Relleno interior izquierdo (px)",
        "fr-fr": "Tabulation à gauche (px)",
        "de-de": "Innerer Rand links (px)",
        "en-us": "Inner padding left (px)"
    },
    "padding-right": {
        "es-es": "Relleno interior derecho (px)",
        "fr-fr": "Tabulation à droite (px)",
        "de-de": "Innerer Rand rechts (px)",
        "en-us": "Inner padding right (px)"
    },
    "padding-top": {
        "es-es": "Relleno interior superior (px)",
        "fr-fr": "Tabulation en haut (px)",
        "de-de": "Innerer Rand oben (px)",
        "en-us": "Inner padding top (px)"
    },
    "padding-bottom": {
        "es-es": "Relleno interior inferior (px)",
        "fr-fr": "Tabulation en bas (px)",
        "de-de": "Innerer Rand unten (px)",
        "en-us": "Inner padding unten (px)"
    },
    "font-size": {
        "es-es": "Tamaño de la fuente (px)",
        "fr-fr": "Taille de police (px)",
        "de-de": "Schriftgrad (px)",
        "en-us": "Font size (px)"
    },
    "font-family": {
        "es-es": "Familia de fuente",
        "fr-fr": "Famille de police",
        "de-de": "Schriftart",
        "en-us": "Font family"
    },
    "fontFamimlyOption1": {
        "es-es": "Fuente de sistema: Arial (fallback: Helvetica, sans-serif)",
        "fr-fr": "Police système : Arial (autre: Helvetica, sans-serif)",
        "de-de": "Systemschriftart: Arial (Fallback: Helvetica, sans-serif)",
        "en-us": "System font: Arial (fallback: Helvetica, sans-serif)"
    },
    "fontFamimlyOption2": {
        "es-es": "Fuente de sistema: Times New Roman (fallback: Times, serif)",
        "fr-fr": "Police système : Times New Roman (autre: Times, serif)",
        "de-de": "Systemschriftart: Times New Roman (Fallback: Times, serif)",
        "en-us": "System font: Times New Roman (fallback: Times, serif)"
    },
    "fontFamimlyOption3": {
        "es-es": "Fuente de sistema: Verdana (fallback: Geneva, sans-serif)",
        "fr-fr": "Police système : Verdana (autre: Geneva, sans-serif)",
        "de-de": "Systemschriftart: Verdana (Fallback: Geneva, sans-serif)",
        "en-us": "System font: Verdana (fallback: Geneva, sans-serif)"
    },
    "fontFamimlyOption4": {
        "es-es": "Fuente de sistema: Courier New (fallback: Courier, monospace)",
        "fr-fr": "Police système : Courier New (autre: Courier, monospace)",
        "de-de": "Systemschriftart: Courier New (Fallback: Courier, monospace)",
        "en-us": "System font: Courier New (fallback: Courier, monospace)"
    },
    "text_orientation": {
        "es-es": "Alineación horizontal del texto",
        "fr-fr": "Alignement horizontal du texte",
        "de-de": "Bündig ausrichten",
        "en-us": "Text horizontal alignment"
    },
    "left": {
        "es-es": "izquierda",
        "fr-fr": "gauche",
        "de-de": "Linksbündig",
        "en-us": "left"
    },
    "center": {
        "es-es": "centro",
        "fr-fr": "centre",
        "de-de": "Zentriert",
        "en-us": "center"
    },
    "right": {
        "es-es": "derecha",
        "fr-fr": "droite",
        "de-de": "Rechtsbündig",
        "en-us": "right"
    },
    "text_vertical_align": {
        "es-es": "Alineación vertical del texto",
        "fr-fr": "Alignement vertical du texte",
        "de-de": "Text ausrichten",
        "en-us": "Text vertical alignment"
    },
    "top": {
        "es-es": "Alto",
        "fr-fr": "Haut",
        "de-de": "Oben",
        "en-us": "Top"
    },
    "middle": {
        "es-es": "Medio",
        "fr-fr": "Milieu",
        "de-de": "Mitte",
        "en-us": "Middle"
    },
    "bottom": {
        "es-es": "Bajo",
        "fr-fr": "Bas",
        "de-de": "Unten",
        "en-us": "Bottom"
    },
    "desc_state_default": {
        "es-es": "Estado por defecto:",
        "fr-fr": "Etat par défaut :",
        "de-de": "Zustand normal:",
        "en-us": "State default:"
    },
    "desc_state_hover": {
        "es-es": "Estado flotar:",
        "fr-fr": "Etat au survol :",
        "de-de": "Zustand hover:",
        "en-us": "State hover:"
    },
    "desc_state_mouse_down": {
        "es-es": "Estado mousedown:",
        "fr-fr": "Etat au clic :",
        "de-de": "Zustand mouse down:",
        "en-us": "State mouse down:"
    },
    "text-color": {
        "es-es": "Texto de color",
        "fr-fr": "Couleur du text",
        "de-de": "Farbe Text",
        "en-us": "Color text"
    },
    "text-color-hover": {
        "es-es": "Texto de color",
        "fr-fr": "Couleur du text",
        "de-de": "Farbe Text",
        "en-us": "Color text"
    },
    "text-color-pressed": {
        "es-es": "Texto de color",
        "fr-fr": "Couleur du text",
        "de-de": "Farbe Text",
        "en-us": "Color text"
    },
    "background-color": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "background-color-hover": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "background-color-pressed": {
        "es-es": "Fondo de color",
        "fr-fr": "Couleur de l'arrière-plan",
        "de-de": "Farbe Hintergrund",
        "en-us": "Color background"
    },
    "background-color-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "background-color-hover-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "background-color-pressed-transparency": {
        "es-es": "Transparencia",
        "fr-fr": "Transparence",
        "de-de": "Transparenz",
        "en-us": "Transparency"
    },
    "tooltip": {
        "es-es": "Tooltip",
        "fr-fr": "Tooltip",
        "de-de": "Tooltip",
        "en-us": "Tooltip"
    },
    "aria-label": {
        "es-es": "aria-label",
        "fr-fr": "aria-label",
        "de-de": "aria-label",
        "en-us": "aria-label"
    },
    "exclude-from-tab-control": {
        "es-es": "Excluir del control TAB",
        "fr-fr": "Exclure du contrôle TAB",
        "de-de": "Ausschließen von TAB-Steuerung",
        "en-us": "Exclude from TAB control"
    },
    "tab-order": {
        "es-es": "Orden de las TAB",
        "fr-fr": "Ordre de la TAB",
        "de-de": "TAB-Reihenfolge",
        "en-us": "TAB order"
    },
    "accessibility-key": {
        "es-es": "Botón",
        "fr-fr": "Bouton",
        "de-de": "Taste",
        "en-us": "Button"
    },
    "accessibility-location": {
        "es-es": "Posición",
        "fr-fr": "Position",
        "de-de": "Position",
        "en-us": "Position"
    },
    "top_left": {
        "es-es": "Arriba a la izquierda",
        "fr-fr": "En haut à gauche",
        "de-de": "Oben links",
        "en-us": "Top left"
    },
    "top_right": {
        "es-es": "Parte superior derecha",
        "fr-fr": "En haut à droite",
        "de-de": "Oben rechts",
        "en-us": "Top right"
    },
    "bottom_left": {
        "es-es": "Abajo a la izquierda",
        "fr-fr": "En bas à gauche",
        "de-de": "Unten links",
        "en-us": "Bottom left"
    },
    "bottom_right": {
        "es-es": "Abajo a la derecha",
        "fr-fr": "En bas à droite",
        "de-de": "Unten rechts",
        "en-us": "Bottom right"
    },
    "absolute": {
        "es-es": "Posicionado",
        "fr-fr": "Positionné",
        "de-de": "Positioniert",
        "en-us": "Positioned"
    },
    "accessibility-position-x": {
        "es-es": "X-Posición (px)",
        "fr-fr": "X-Position (px)",
        "de-de": "X-Position (px)",
        "en-us": "X-Position (px)"
    },
    "accessibility-position-y": {
        "es-es": "Y-Posición (px)",
        "fr-fr": "Y-Position (px)",
        "de-de": "Y-Position (px)",
        "en-us": "Y-Position (px)"
    }
};